-- ############################################################################
-- Universal X JAVA Framework <開発サンプルDDL>PostgreSQL用
-- 
-- var 1.0.0
-- ############################################################################
set search_path to "public";


-- ////////////////////////////////////////////////////////////////////////////
-- 活動履歴
-- ////////////////////////////////////////////////////////////////////////////
-- DROP TABLE "SYS_ACTIVITY_LOGS";

CREATE TABLE "SYS_ACTIVITY_LOGS"
(
  "OPERATING_DATE" timestamp without time zone NOT NULL,
  "OPERATING_USER" character varying(200) NOT NULL,
  "ACCESS_IP"      character varying( 20) NOT NULL,
  "USER_CODE"      character varying( 20) NOT NULL,
  "USER_NAME"      character varying(200) NOT NULL,
  "LOG_TYPE"       character varying( 20) NOT NULL,
  "LOG_TEXT"       character varying(500) NOT NULL
) WITH (
  OIDS=FALSE
);
ALTER TABLE "SYS_ACTIVITY_LOGS" OWNER TO postgres;
COMMENT ON TABLE "SYS_ACTIVITY_LOGS" IS '活動履歴';
COMMENT ON COLUMN "SYS_ACTIVITY_LOGS"."OPERATING_DATE" IS '操作日時';
COMMENT ON COLUMN "SYS_ACTIVITY_LOGS"."OPERATING_USER" IS '操作者';
COMMENT ON COLUMN "SYS_ACTIVITY_LOGS"."USER_CODE"      IS 'ユーザーID';
COMMENT ON COLUMN "SYS_ACTIVITY_LOGS"."USER_NAME"      IS 'ユーザー名';
COMMENT ON COLUMN "SYS_ACTIVITY_LOGS"."LOG_TYPE"       IS '操作種別';
COMMENT ON COLUMN "SYS_ACTIVITY_LOGS"."LOG_TEXT"       IS '操作ログ';

-- ////////////////////////////////////////////////////////////////////////////
-- 文書テンプレート
-- ////////////////////////////////////////////////////////////////////////////
-- DROP TABLE "SYS_DOCUMENT";

CREATE TABLE "SYS_DOCUMENT"
(
  "DOC_TYPE"       character varying(20)    NOT NULL,
  "DOC_LANG"       character varying(20)    NOT NULL,
  "DOC_NAME"       character varying(100)   NOT NULL,
  "DOC_DATA"       character varying(1000)  NOT NULL,
  "VIEWLINE"       integer                  NOT NULL,
  "CREATE_DATE"    timestamp with time zone,
  "CREATE_USER"    character varying(250),
  "UPDATE_DATE"    timestamp with time zone,
  "UPDATE_USER"    character varying(250),
  CONSTRAINT "PKEY_SYS_DOCUMENT" PRIMARY KEY ("DOC_TYPE", "DOC_LANG")
)
WITH (
  OIDS=FALSE
);

ALTER TABLE "SYS_DOCUMENT" OWNER TO postgres;

COMMENT ON TABLE "SYS_DOCUMENT" IS '文書テンプレート';
COMMENT ON COLUMN "SYS_DOCUMENT"."DOC_TYPE"    IS '文書タイプ';
COMMENT ON COLUMN "SYS_DOCUMENT"."DOC_LANG"    IS '言語ID';
COMMENT ON COLUMN "SYS_DOCUMENT"."DOC_NAME"    IS '文書名';
COMMENT ON COLUMN "SYS_DOCUMENT"."DOC_DATA"    IS '文書';
COMMENT ON COLUMN "SYS_DOCUMENT"."VIEWLINE"    IS '順';
COMMENT ON COLUMN "SYS_DOCUMENT"."CREATE_DATE" IS '作成日時';
COMMENT ON COLUMN "SYS_DOCUMENT"."CREATE_USER" IS '作成者ID';
COMMENT ON COLUMN "SYS_DOCUMENT"."UPDATE_DATE" IS '更新日時';
COMMENT ON COLUMN "SYS_DOCUMENT"."UPDATE_USER" IS '更新者ID';

INSERT INTO "SYS_DOCUMENT" VALUES (
	'MAIL_ONETIME_PASS',
	'ja',
	'ワンタイム・パスワードの発行',
       E'画面からの要求によりワンタイム・パスワードを発行致しました。\n'
    || E'パスワードは「{@PASSWORD}」です。\n',
	0,
	CURRENT_TIMESTAMP, 'example',
	CURRENT_TIMESTAMP, 'example'
);

INSERT INTO "SYS_DOCUMENT" VALUES (
	'MAIL_ISSUE_PASS',
	'ja',
	'パスワードの再発行',
       E'画面からの要求によりパスワードを再発行致しました。\n'
    || E'新しいパスワードは「{@PASSWORD}」です。\n'
    || E'本パスワードにてログイン後、直ちにパスワードを変更してください。\n',
	0,
	CURRENT_TIMESTAMP, 'example',
	CURRENT_TIMESTAMP, 'example'
);


-- ////////////////////////////////////////////////////////////////////////////
-- 法人
-- ////////////////////////////////////////////////////////////////////////////
-- DROP TABLE "SYS_CORPORATE";

CREATE TABLE "SYS_CORPORATE"
(
  "CORPORATE_CODE" character varying( 20) NOT NULL,
  "CORPORATE_NAME" character varying(200) NOT NULL,
  "CORPORATE_NICK" character varying(200),
  "CORPORATE_MARK" character varying( 10),
  "CORPORATE_TYPE" integer,
  "VIEWLINE"       integer,
  "FLAG"           integer,
  "MEMO"           character varying(500),

  "CREATE_DATE"    timestamp without time zone,
  "CREATE_USER"    character varying(250),
  "UPDATE_DATE"    timestamp without time zone,
  "UPDATE_USER"    character varying(250),
  CONSTRAINT "PKEY_SYS_CORPORATE" PRIMARY KEY ("CORPORATE_CODE")
)
WITH (
  OIDS=FALSE
);

ALTER TABLE "SYS_CORPORATE" OWNER TO postgres;

COMMENT ON TABLE "SYS_CORPORATE" IS '法人';
COMMENT ON COLUMN "SYS_CORPORATE"."CORPORATE_CODE" IS '法人ID';
COMMENT ON COLUMN "SYS_CORPORATE"."CORPORATE_NAME" IS '法人名';
COMMENT ON COLUMN "SYS_CORPORATE"."CORPORATE_NICK" IS '略称名';
COMMENT ON COLUMN "SYS_CORPORATE"."CORPORATE_MARK" IS '接頭辞';
COMMENT ON COLUMN "SYS_CORPORATE"."CORPORATE_TYPE" IS '法人種別';
COMMENT ON COLUMN "SYS_CORPORATE"."VIEWLINE"       IS '順';
COMMENT ON COLUMN "SYS_CORPORATE"."FLAG"           IS '削除(9)|活性(0)';
COMMENT ON COLUMN "SYS_CORPORATE"."MEMO"           IS '備考';
COMMENT ON COLUMN "SYS_CORPORATE"."CREATE_DATE"    IS '作成日時';
COMMENT ON COLUMN "SYS_CORPORATE"."CREATE_USER"    IS '作成者情報';
COMMENT ON COLUMN "SYS_CORPORATE"."UPDATE_DATE"    IS '更新日時';
COMMENT ON COLUMN "SYS_CORPORATE"."UPDATE_USER"    IS '更新者情報';

INSERT INTO "SYS_CORPORATE" VALUES ('CAMEL', 'Camelエンジニアリング有限責任事業組合', 'CamelエンジニアリングLLP', 'CAM', 0, 1010, 0, '', CURRENT_TIMESTAMP, 'CAM000000 システム管理者', CURRENT_TIMESTAMP, 'CAM000000 システム管理者');


-- ////////////////////////////////////////////////////////////////////////////
-- 法人.支社
-- ////////////////////////////////////////////////////////////////////////////
-- DROP TABLE "SYS_CORPORATE_BRANCH";

CREATE TABLE "SYS_CORPORATE_BRANCH"
(
  "CORPORATE_CODE" character varying( 20) NOT NULL,
  "BRANCH_CODE"    character varying( 20) NOT NULL,
  "BRANCH_NAME"    character varying(100) NOT NULL,
  "BRANCH_NICK"    character varying( 50),
  "BRANCH_TYPE"    integer                NOT NULL,
  "VIEWLINE"       integer                NOT NULL,
  "FLAG"           integer,
  "MEMO"           character varying(500),
  "CREATE_DATE"    timestamp without time zone,
  "CREATE_USER"    character varying(250),
  "UPDATE_DATE"    timestamp without time zone,
  "UPDATE_USER"    character varying(250),
  CONSTRAINT "PKEY_SYS_CORPORATE_BRANCH" PRIMARY KEY ("CORPORATE_CODE", "BRANCH_CODE")
)
WITH (
  OIDS=FALSE
);

ALTER TABLE "SYS_CORPORATE_BRANCH" OWNER TO postgres;

COMMENT ON TABLE "SYS_CORPORATE_BRANCH" IS '法人.支社';
COMMENT ON COLUMN "SYS_CORPORATE_BRANCH"."CORPORATE_CODE" IS '法人ID';
COMMENT ON COLUMN "SYS_CORPORATE_BRANCH"."BRANCH_CODE"    IS '支社コード';
COMMENT ON COLUMN "SYS_CORPORATE_BRANCH"."BRANCH_NAME"    IS '支社名';
COMMENT ON COLUMN "SYS_CORPORATE_BRANCH"."BRANCH_NICK"    IS '略称名';
COMMENT ON COLUMN "SYS_CORPORATE_BRANCH"."BRANCH_TYPE"    IS '支社種別';
COMMENT ON COLUMN "SYS_CORPORATE_BRANCH"."VIEWLINE"       IS '順';
COMMENT ON COLUMN "SYS_CORPORATE_BRANCH"."FLAG"           IS '削除(9)|活性(0)';
COMMENT ON COLUMN "SYS_CORPORATE_BRANCH"."MEMO"           IS '備考';
COMMENT ON COLUMN "SYS_CORPORATE_BRANCH"."CREATE_DATE"    IS '作成日時';
COMMENT ON COLUMN "SYS_CORPORATE_BRANCH"."CREATE_USER"    IS '作成者情報';
COMMENT ON COLUMN "SYS_CORPORATE_BRANCH"."UPDATE_DATE"    IS '更新日時';
COMMENT ON COLUMN "SYS_CORPORATE_BRANCH"."UPDATE_USER"    IS '更新者情報';

INSERT INTO "SYS_CORPORATE_BRANCH" VALUES ('CAMEL', '0000', '本社', '本社', 0, 1010, 0, '', CURRENT_TIMESTAMP, 'CAM000000 システム管理者', CURRENT_TIMESTAMP, 'CAM000000 システム管理者');


-- ////////////////////////////////////////////////////////////////////////////
-- 法人.支社.部署
-- ////////////////////////////////////////////////////////////////////////////
-- DROP TABLE "SYS_CORPORATE_GROUP";

CREATE TABLE "SYS_CORPORATE_GROUP"
(
  "CORPORATE_CODE" character varying( 20) NOT NULL,
  "BRANCH_CODE"    character varying( 20) NOT NULL,
  "GROUP_CODE"     character varying( 20) NOT NULL,
  "GROUP_NAME"     character varying(100) NOT NULL,
  "GROUP_NICK"     character varying( 50) NOT NULL,
  "GROUP_TYPE"     integer                NOT NULL,
  "VIEWLINE"       integer                NOT NULL,
  "FLAG"           integer,
  "MEMO"           character varying(500),
  "CREATE_DATE"    timestamp without time zone,
  "CREATE_USER"    character varying(250),
  "UPDATE_DATE"    timestamp without time zone,
  "UPDATE_USER"    character varying(250),
  CONSTRAINT "PKEY_SYS_CORPORATE_GROUP" PRIMARY KEY ("CORPORATE_CODE", "BRANCH_CODE", "GROUP_CODE")
)
WITH (
  OIDS=FALSE
);

ALTER TABLE "SYS_CORPORATE_GROUP" OWNER TO postgres;

COMMENT ON TABLE "SYS_CORPORATE_GROUP" IS '法人.支社.部署';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."CORPORATE_CODE" IS '法人ID';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."BRANCH_CODE"    IS '支社コード';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."GROUP_CODE"     IS '部署コード';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."GROUP_NAME"     IS '部署名';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."GROUP_NICK"     IS '略称名';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."GROUP_TYPE"     IS '部署種別';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."VIEWLINE"       IS '順';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."FLAG"           IS '削除(9)|活性(0)';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."MEMO"           IS '備考';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."CREATE_DATE"    IS '作成日時';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."CREATE_USER"    IS '作成者情報';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."UPDATE_DATE"    IS '更新日時';
COMMENT ON COLUMN "SYS_CORPORATE_GROUP"."UPDATE_USER"    IS '更新者情報';

INSERT INTO "SYS_CORPORATE_GROUP" VALUES ('CAMEL', '0000', '0000', '事務局', '事務局', 0, 1010, 0, '', CURRENT_TIMESTAMP, 'CAM000000 システム管理者', CURRENT_TIMESTAMP, 'CAM000000 システム管理者');


-- ////////////////////////////////////////////////////////////////////////////
-- 法人.権限
-- ////////////////////////////////////////////////////////////////////////////
-- DROP TABLE "SYS_CORPORATE_AUTHORITY";

CREATE TABLE "SYS_CORPORATE_AUTHORITY"
(
  "CORPORATE_CODE" character varying( 20) NOT NULL,
  "AUTH_CODE"      character varying( 20) NOT NULL,
  "AUTH_NAME"      character varying(100),
  "VIEWLINE"       integer,
  "CREATE_DATE"    timestamp without time zone,
  "CREATE_USER"    character varying(250),
  "UPDATE_DATE"    timestamp without time zone,
  "UPDATE_USER"    character varying(250),
  CONSTRAINT "PKEY_SYS_CORPORATE_AUTHORITY" PRIMARY KEY ("CORPORATE_CODE", "AUTH_CODE")
)
WITH (
  OIDS=FALSE
);
ALTER TABLE "SYS_CORPORATE_AUTHORITY" OWNER TO postgres;
COMMENT ON TABLE "SYS_CORPORATE_AUTHORITY" IS '法人.権限';
COMMENT ON COLUMN "SYS_CORPORATE_AUTHORITY"."CORPORATE_CODE" IS '法人ID';
COMMENT ON COLUMN "SYS_CORPORATE_AUTHORITY"."AUTH_CODE"      IS '権限';
COMMENT ON COLUMN "SYS_CORPORATE_AUTHORITY"."AUTH_NAME"      IS '説明';
COMMENT ON COLUMN "SYS_CORPORATE_AUTHORITY"."VIEWLINE"       IS '順';
COMMENT ON COLUMN "SYS_CORPORATE_AUTHORITY"."CREATE_DATE"    IS '作成日時';
COMMENT ON COLUMN "SYS_CORPORATE_AUTHORITY"."CREATE_USER"    IS '作成者情報';
COMMENT ON COLUMN "SYS_CORPORATE_AUTHORITY"."UPDATE_DATE"    IS '更新日時';
COMMENT ON COLUMN "SYS_CORPORATE_AUTHORITY"."UPDATE_USER"    IS '更新者情報';

INSERT INTO "SYS_CORPORATE_AUTHORITY" VALUES ('CAMEL', 'SYSTEM_ADMIN',    'システム管理者', 0, CURRENT_TIMESTAMP, 'CAM000000 システム管理者', CURRENT_TIMESTAMP, 'CAM000000 システム管理者');
INSERT INTO "SYS_CORPORATE_AUTHORITY" VALUES ('CAMEL', 'CORPORATE_ADMIN', '法人管理者',     0, CURRENT_TIMESTAMP, 'CAM000000 システム管理者', CURRENT_TIMESTAMP, 'CAM000000 システム管理者');


-- ////////////////////////////////////////////////////////////////////////////
-- 法人.休日
-- ////////////////////////////////////////////////////////////////////////////
-- DROP TABLE "SYS_CORPORATE_HOLIDAY";

CREATE TABLE "SYS_CORPORATE_HOLIDAY"
(
  "CORPORATE_CODE" character varying( 20)      NOT NULL,
  "CALENDAR_CODE"  character varying( 20)      NOT NULL,
  "HOLIDAY_DATE"   timestamp without time zone NOT NULL,
  "HOLIDAY_NAME"   character varying(100)      NOT NULL,
  "HOLIDAY_TYPE"   integer,

  "CREATE_DATE"    timestamp without time zone,
  "CREATE_USER"    character varying(250),
  "UPDATE_DATE"    timestamp without time zone,
  "UPDATE_USER"    character varying(250),
  CONSTRAINT "PKEY_SYS_CORPORATE_HOLIDAY" PRIMARY KEY ("CORPORATE_CODE", "CALENDAR_CODE", "HOLIDAY_DATE")
)
WITH (
  OIDS=FALSE
);

ALTER TABLE "SYS_CORPORATE_HOLIDAY" OWNER TO postgres;

COMMENT ON TABLE "SYS_CORPORATE_HOLIDAY" IS '法人.休日';

COMMENT ON COLUMN "SYS_CORPORATE_HOLIDAY"."CORPORATE_CODE" IS '法人ID';
COMMENT ON COLUMN "SYS_CORPORATE_HOLIDAY"."CALENDAR_CODE"  IS '種別';
COMMENT ON COLUMN "SYS_CORPORATE_HOLIDAY"."HOLIDAY_DATE"   IS '休日';
COMMENT ON COLUMN "SYS_CORPORATE_HOLIDAY"."HOLIDAY_NAME"   IS '休日名';
COMMENT ON COLUMN "SYS_CORPORATE_HOLIDAY"."HOLIDAY_TYPE"   IS '休日種別';

COMMENT ON COLUMN "SYS_CORPORATE_HOLIDAY"."CREATE_DATE"    IS '作成日時';
COMMENT ON COLUMN "SYS_CORPORATE_HOLIDAY"."CREATE_USER"    IS '作成者情報';
COMMENT ON COLUMN "SYS_CORPORATE_HOLIDAY"."UPDATE_DATE"    IS '更新日時';
COMMENT ON COLUMN "SYS_CORPORATE_HOLIDAY"."UPDATE_USER"    IS '更新者情報';


-- ////////////////////////////////////////////////////////////////////////////
-- ユーザー情報
-- ////////////////////////////////////////////////////////////////////////////
-- DROP TABLE "SYS_USER";

CREATE TABLE "SYS_USER"
(
  "USER_CODE"      character varying( 20) NOT NULL,
  "USER_NAME"      character varying(200) NOT NULL,
  "USER_EMAIL"     character varying(500) NOT NULL,
  "USER_PHONE"     character varying( 20),
  "FLAG"           integer,
  "BALK"           integer,
  "CRYPT"          character varying(500),
  "CREATE_DATE"    timestamp without time zone,
  "CREATE_USER"    character varying(250),
  "UPDATE_DATE"    timestamp without time zone,
  "UPDATE_USER"    character varying(250),
  "UPDATE_PASS"    timestamp without time zone,
  CONSTRAINT "PKEY_SYS_USER" PRIMARY KEY ("USER_CODE")
)
WITH (
  OIDS=FALSE
);

ALTER TABLE "SYS_USER" OWNER TO postgres;

COMMENT ON TABLE "SYS_USER" IS 'ユーザー情報';
COMMENT ON COLUMN "SYS_USER"."USER_CODE"   IS 'ユーザーID';
COMMENT ON COLUMN "SYS_USER"."USER_NAME"   IS '氏名';
COMMENT ON COLUMN "SYS_USER"."USER_EMAIL"  IS 'e-mail';
COMMENT ON COLUMN "SYS_USER"."USER_PHONE"  IS 'TEL';
COMMENT ON COLUMN "SYS_USER"."FLAG"        IS '削除(9)|活性(0)';
COMMENT ON COLUMN "SYS_USER"."BALK"        IS '認証連続失敗回数';
COMMENT ON COLUMN "SYS_USER"."CRYPT"       IS '認証パスワード';
COMMENT ON COLUMN "SYS_USER"."CREATE_DATE" IS '作成日時';
COMMENT ON COLUMN "SYS_USER"."CREATE_USER" IS '作成者情報';
COMMENT ON COLUMN "SYS_USER"."UPDATE_DATE" IS '更新日時';
COMMENT ON COLUMN "SYS_USER"."UPDATE_USER" IS '更新者情報';
COMMENT ON COLUMN "SYS_USER"."UPDATE_PASS" IS 'パスワード更新日時';

INSERT INTO "SYS_USER" VALUES ('CAM000000', 'システム管理者', 'example@cam.co.jp', '', 0, 0, NULL, CURRENT_TIMESTAMP, 'CAM000000 システム管理者', CURRENT_TIMESTAMP, 'CAM000000 システム管理者', CURRENT_TIMESTAMP);


-- ////////////////////////////////////////////////////////////////////////////
-- ユーザー情報.部署
-- ////////////////////////////////////////////////////////////////////////////
-- DROP TABLE "SYS_USER_GROUP";

CREATE TABLE "SYS_USER_GROUP"
(
  "CORPORATE_CODE" character varying(20) NOT NULL,
  "BRANCH_CODE"    character varying(20) NOT NULL,
  "GROUP_CODE"     character varying(20) NOT NULL,
  "GROUP_AUTH"     character varying(20),
  "USER_CODE"      character varying(20) NOT NULL,
  "VIEWLINE"       integer,
  "CREATE_DATE"    timestamp without time zone,
  "CREATE_USER"    character varying(250),
  "UPDATE_DATE"    timestamp without time zone,
  "UPDATE_USER"    character varying(250),
  CONSTRAINT "PKEY_SYS_USER_GROUP" PRIMARY KEY ("CORPORATE_CODE", "BRANCH_CODE", "GROUP_CODE", "USER_CODE")
)
WITH (
  OIDS=FALSE
);

ALTER TABLE "SYS_USER_GROUP" OWNER TO postgres;

COMMENT ON TABLE "SYS_USER_GROUP" IS 'ユーザー情報.所属';
COMMENT ON COLUMN "SYS_USER_GROUP"."CORPORATE_CODE" IS '法人ID';
COMMENT ON COLUMN "SYS_USER_GROUP"."BRANCH_CODE"    IS '支社コード';
COMMENT ON COLUMN "SYS_USER_GROUP"."GROUP_CODE"     IS '部署コード';
COMMENT ON COLUMN "SYS_USER_GROUP"."GROUP_AUTH"     IS '職責';
COMMENT ON COLUMN "SYS_USER_GROUP"."USER_CODE"      IS 'ユーザーID';
COMMENT ON COLUMN "SYS_USER_GROUP"."VIEWLINE"       IS '優先順位';
COMMENT ON COLUMN "SYS_USER_GROUP"."CREATE_DATE"    IS '作成日時';
COMMENT ON COLUMN "SYS_USER_GROUP"."CREATE_USER"    IS '作成者情報';
COMMENT ON COLUMN "SYS_USER_GROUP"."UPDATE_DATE"    IS '更新日時';
COMMENT ON COLUMN "SYS_USER_GROUP"."UPDATE_USER"    IS '更新者情報';

-- システム管理者：
INSERT INTO "SYS_USER_GROUP" VALUES ('CAMEL', '0000', '0000', NULL, 'CAM000000', 1010, CURRENT_TIMESTAMP, 'CAM000000 システム管理者', CURRENT_TIMESTAMP, 'CAM000000 システム管理者');


-- ////////////////////////////////////////////////////////////////////////////
-- ユーザー情報.権限
-- ////////////////////////////////////////////////////////////////////////////
-- DROP TABLE "SYS_USER_AUTHORITY";

CREATE TABLE "SYS_USER_AUTHORITY"
(
  "CORPORATE_CODE" character varying(20)    NOT NULL,
  "AUTH_CODE"      character varying(20)    NOT NULL,
  "USER_CODE"      character varying(20)    NOT NULL,
  "CREATE_DATE"    timestamp with time zone,
  "CREATE_USER"    character varying(250),
  "UPDATE_DATE"    timestamp with time zone,
  "UPDATE_USER"    character varying(250),
  CONSTRAINT "PKEY_SYS_USER_AUTHORITY" PRIMARY KEY ("CORPORATE_CODE", "USER_CODE", "AUTH_CODE")
)
WITH (
  OIDS=FALSE
);

ALTER TABLE "SYS_USER_AUTHORITY" OWNER TO postgres;
COMMENT ON TABLE "SYS_USER_AUTHORITY" IS 'ユーザー情報.権限';
COMMENT ON COLUMN "SYS_USER_AUTHORITY"."CORPORATE_CODE" IS '法人ID';
COMMENT ON COLUMN "SYS_USER_AUTHORITY"."AUTH_CODE"   IS '権限ID';
COMMENT ON COLUMN "SYS_USER_AUTHORITY"."USER_CODE"   IS 'ユーザーID';
COMMENT ON COLUMN "SYS_USER_AUTHORITY"."CREATE_DATE" IS '作成日時';
COMMENT ON COLUMN "SYS_USER_AUTHORITY"."CREATE_USER" IS '作成者ID';
COMMENT ON COLUMN "SYS_USER_AUTHORITY"."UPDATE_DATE" IS '更新日時';
COMMENT ON COLUMN "SYS_USER_AUTHORITY"."UPDATE_USER" IS '更新者ID';

INSERT INTO "SYS_USER_AUTHORITY" VALUES ('CAMEL', 'SYSTEM_ADMIN', 'CAM000000', CURRENT_TIMESTAMP, 'CAM000000 システム管理者', CURRENT_TIMESTAMP, 'CAM000000 システム管理者');
