package jp.co.cam.usax.example;

import jp.co.cam.usax.appl.domain.DomainException;
import jp.co.cam.usax.appl.domain.DomainHandler;
import jp.co.cam.usax.appl.domain.database.jdbc.JDBCObjectIF;
import jp.co.cam.usax.appl.domain.database.jdbc.JDBCResultIF;


/**
 * 【Example】バッチ処理の実装例(domainのみ使用)。
 * <br>rulesパッケージを使用しない版
 */
public class SampleDomainBatch
{
    /**
     * コマンド実行メソッド。
     * @param args パラメータ
     */
    public static void main(final String[] args)
    {
        // Transaction:default.xml
        try (final DomainHandler trax = DomainHandler.getMyInstance("default"))
        {
            trax.begin();  // 開始

            // DB接続API(ID:default)
            final JDBCObjectIF jdbc = trax.getConnection("default");

            try (final JDBCResultIF result = jdbc.select("SELECT * FROM SAMPLE"))
            {
                while (result.next())
                {
                    for (final String key : result.getColumnNames())
                    {
                        System.out.print(key + "=" + result.getObject(key));
                    }
                }
            }
            trax.commit(); // 確定

        } catch (final DomainException ex) {
            ex.printStackTrace();
            System.exit(-1);
        }
        System.exit(0);
    }
}
