package jp.co.cam.usax.example;

import jp.co.cam.usax.USAXAnnotations.Transaction;
import jp.co.cam.usax.rule.RuleException;
import jp.co.cam.usax.rule.impl.AbstractRuledDataBean;


/**
 * 【Example】バッチ処理の実装例(標準)。
 * <br>rulesパッケージを使用する版
 */
@Transaction({"default"}) // Transaction:default.xml
public class SampleRuledBatch
    extends AbstractRuledDataBean
{
    /** SerialVersionUID */
    private static final long serialVersionUID = -2020L;

    /**
     * コマンド実行メソッド。
     * @param args パラメータ
     */
    public static void main(final String[] args)
    {
        // 返却値
        int ret;

        try (final SampleRuledBatch my = new SampleRuledBatch())
        {
            my.begin();      // 開始

            if (my.run()) {

                my.commit(); // 確定
                ret = 0;

            } else {
                my.cancel(); // 取消
                ret = 9;
            }

        } catch (final RuleException ex) {
            ex.printStackTrace();
            ret = -1;
        }
        System.exit(ret);
    }

    @Override
    public boolean run()
        throws RuleException
    {
        // 処理を実装
        return super.getRuleEngine("SAMPLE").run();
    }
}
