package jp.co.hogehoge.context;

import jp.co.cam.usax.web.context.WebUserInfo;


/**
 * [Example]開発サンプル用のユーザー情報保管クラス。
 * <br>common.propertiesのsettings.user.classに設定することで
 * <br>ユーザー情報保管クラスを切替えることができます。
 * <br>
 * <br>Copyright(c) 1999-2020 Camel Engineering LLP All Rights Reserved.
 * @author Camel Engineering LLP J.Matsuo
 * @version REVIEWED ON 2020
 * <br>######################################################################
 * <br>(変更履歴)
 * <br>REVIEWED2020 初版(WebUserInfoを拡張)
 * <br>######################################################################
 * @see jp.co.cam.usax.context.UserContext
 */
public class ExampleUserInfo
    extends WebUserInfo
{
    /** Serial */
    private static final long serialVersionUID = -2020L;


    @Override
    public Object getCommandValue(
        final String pmCmd
    )
    {
        if (pmCmd == null || pmCmd.length() == 0) {
            throw new IllegalArgumentException("[実装の問題]コマンドが指定されていません");
        }

        switch (pmCmd.toUpperCase())
        {
            // [拡張]こちらで@context:コマンドによる値参照をカスタマイズできます

            default:
                return super.getCommandValue(pmCmd);
        }
    }


    /**
     * コンストラクタ。
     */
    public ExampleUserInfo()
    {
        super();
    }
}
