<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.configuration.MessageResourceFactory" %>
<%@ page import="jp.co.cam.usax.configuration.MessageResourceIF"      %>
<%@ page import="jp.co.cam.usax.context.UserContext"  %>
<%@ page import="jp.co.cam.usax.context.UserInfo"     %>
<%@ page import="jp.co.cam.usax.web.event.EventIF"    %>
<%@ page import="jp.co.cam.usax.web.tag.util.HTMLTag" %>
<%@ page import="jp.co.cam.usax.USAXException"        %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<html lang="ja">
 <head>
  <meta charset="UTF-8" />

  <title>ERROR｜USAX(BRMS)</title>

  <!-- 画面固有のCSS -->
  <style type="text/css">

    html, body { margin:   0px;}

    /* 固定メッセージ */
    div#BLOCK_MESSAGE
    {
      background       : #CC5599;

      padding          :   5px;

      min-height       : 105px;

      line-height      :  18px;
      font-size        :  10pt;
      color            : #ffffff;

      text-align       : left;
    }

    /* メッセージパーツ(非表示) */
    div#BLOCK_MESSAGE_OPENER,
    div#USAX_MESSAGE_RESULT,
    div#USAX_MESSAGE_FIELD,
    button#BTN_MESSAGE_CLOSE
    {
      display          : none;
    }


    /* ブロック：エラー表示エリア */
    div#ERROR
    {
      margin           :  0px auto;  0px auto;

      width            : 800px;
      height           : 300px;
    }

    /* ログ */
    pre#LOG
    {
      border           :   1px solid #333333;
      height           : 250px;
      width            : 780px;
      overflow-y       : scroll;
      overflow-x       : auto;

      font-size        :  10px;
    }

  </style>

 </head>
 <body>

  <!-- ◆◇◆ メッセージ ◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆ -->
  <div id="USAX_MESSAGE">
   <div id="USAX_MESSAGE_RESULT">ERROR</div>
   <div id="USAX_MESSAGE_FIELD">[]</div>
   <div id="USAX_MESSAGE_TEXT">
    <%
      // メッセージ
      String msg;

      try {

          // ユーザー情報
          final UserInfo user = UserInfo.getUserInfo();

          // メッセージ定義
          final MessageResourceIF msgs
           = MessageResourceFactory.get();

          msg = msgs.get("COM9999");

      } catch (final Exception wr) {
      // ユーザーの言語に応じてメッセージが取得できない場合

          msg = "Sorry, a system error occurred.";
      }
    %>
    <usax:label text="<%=msg %>" />
   </div>
   <usax:button type="button" id="BTN_MESSAGE_CLOSE"
    css="buttonXS" label="[X]"
    onClick="USAX.closeMessage();" />

   <%-- 復旧用パラメータ --%>
   <% final EventIF event = (EventIF)request.getAttribute(EventIF.REQUESTKEY_CURRENT_EVENT); %>

   <div id="USAX_SYSTEM_CONTROL">
   <% if (event != null) { %>
   <usax:text id="USAX_PROCESS_ID" type="hidden" value="<%=(event.getProcessCode()) %>"            />
   <usax:text id="USAX_IS_UPDATED" type="hidden" value="<%=(event.isUpdated()) ? \"1\" : \"0\" %>" />
   <usax:text id="USAX_FRAME_NAME" type="hidden" value="<%=(event.getFrame()) %>"                  />
   <usax:text id="USAX_EVENT_NAME" type="hidden" value="<%=(event.getClass().getName()) %>"        />
   <usax:text id="USAX_EVENT_PAGE" type="hidden" value="<%=(event.getPage()) %>"                   />
   <% } %>
   </div>
  </div>
  <div id="BLOCK_MESSAGE_OPENER">
   <usax:button type="button" id="BTN_MESSAGE_OPEN"
    css="buttonM" label="message"
    onClick="printMessage();" />
  </div>
  <!-- ◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆  メッセージ ◆◇◆ -->


  <% if (jp.co.cam.usax.debug.DebuggerFactory.get().isDevelopmentMode()) { %>
  <!-- スタックトレース -->
  <div id="ERROR">
    <%
        // 発生した例外
        Throwable ex = (Throwable)request.getAttribute("usax.exception");

        // エラー・ログ
        String err = "";

        if (ex == null) {
            // JSPの例外を取得()
            //if (exception != null) ex = exception;
        }

        if (ex != null) {

            if (ex instanceof USAXException) {
                err = ex.toString();
            } else {
                err = new USAXException(ex, "[ERROR]WEBシステムにてエラーが発生").toString();
            }
        }
    %>
    <pre id="LOG"><%=err %></pre><br />
  </div>
  <% } %>

 </body>
</html>
