<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page errorPage="/_exception.jsp" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<html lang="ja">
 <head>
  <meta charset="UTF-8">

  <title><!--@USAX_TITLE--></title>

  <!-- IEの互換性モードを無効化するために最新のモードを設定する -->
  <meta http-equiv="X-UA-Compatible" content="IE=edge">

  <link rel="shortcut icon" type="image/vnd.microsoft.ico"
   href="~/_style/images/favicon.ico">

  <!-- 共通CSS -->
  <link type="text/css" rel="stylesheet" href="~/_style/common.css?ver=1.0.0">
  <link type="text/css" rel="stylesheet" href="~/_style/input.css?ver=1.0.0">
  <link type="text/css" rel="stylesheet" href="~/_style/menu.css?ver=1.0.0">
  <link type="text/css" rel="stylesheet" href="~/_style/msgs.css?ver=1.0.0">

  <link type="text/css" rel="stylesheet" href="~/_style/application.css?ver=1.0.0">

  <!-- 共通JS -->
  <script src="~/_script/commons.js?ver=1.0.0"></script>
  <script src="~/_script/format.js?ver=1.0.0"></script>
  <script src="~/_script/request.js?ver=1.0.0"></script>
  <script src="~/_script/upload.js?ver=1.0.0"></script>
  <script src="~/_script/usax.js?ver=1.0.0"></script>
  <script src="~/_script/designer.js?ver=1.0.0"></script>

  <% /* 国際化対応(テンプレート取得時の言語情報を設定) */

    // Getタイプ送信データ
    final java.util.Map<String, String> q
     = new jp.co.cam.usax.web.event.io.UserIO(request, response).getQueryStringMap();

    // ユーザー情報
    final jp.co.cam.usax.context.UserInfo user
     = jp.co.cam.usax.context.UserInfo.getUserInfo();

    user.setLanguage(q.get("language"));
    user.setCountry(q.get("country"));

    // デバッグ・モード
    final boolean debug = jp.co.cam.usax.debug.DebuggerFactory.get().isDevelopmentMode();
  %>

  <%-- 開発用Beanデバッグ出力 --%>
  <link type="text/css" rel="stylesheet" href="~/_style/tool/debug.css">
  <script src="~/_script/tool/debug.js"></script>

  <script>

      /** 初期処理 */
      function doInitialize()
      {
          ScreenDebugger.setDebugMode(<%=debug %>);

          Commons.setContextRoot('~/');

          // 初期カーソルの設定
          Commons.firstFocus();

          // 画面表示処理
          if (self.pageInitialize) {
              self.pageInitialize();
          }

          // メッセージ表示判定
          USAX.printMessage();

          // 画面表示履歴の保存
          USAX.pushState();
      }

      /** 初期処理 */
      function doRewrite()
      {
          ScreenDebugger.setDebugMode(<%=debug %>);

          Commons.setContextRoot('~/');

          // 画面表示処理
          if (self.pageRewrite) {
              self.pageRewrite();
          }

          // メッセージ表示判定
          USAX.printMessage();

          // 画面表示履歴の保存
          USAX.pushState();
      }

  </script>

  <style type="text/css">

    <% if (debug) { %>
    div#BLOCK_CONTENTS
    {
      background-image : url("~/_style/images/develop.png");
      min-height     : 100%;
    }
    <% } %>

  </style>

  <!--@USAX_CONFIGURATION-->

</head>
<body onload="doInitialize();"><form id="USAX.EVENT_FORM" name="USAX.EVENT_FORM" method="post" action="<!--@USAX_EVENTPATH-->" onsubmit="return false;">
<div id="BLOCK_CONTENTS">

 <%-- 【ブロック：HEAD】 --%>
 <div id="BLOCK_HEAD"><!--@USAX_CONTENTS_HEAD--></div>


 <%-- ◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆ --%>
 <%-- 【メッセージ】 --%>
 <div id="USAX_MESSAGE">
  <div id="USAX_MESSAGE_RESULT"><!--@USAX_MESSAGE_RESULT--></div>
  <div id="USAX_MESSAGE_FIELD"><!--@USAX_MESSAGE_FIELD--></div>
  <div id="USAX_MESSAGE_TEXT"><!--@USAX_MESSAGES--></div>
  <usax:button type="button" id="BTN_MESSAGE_CLOSE"
   css="buttonXS" label="[X]"
   onClick="USAX.closeMessage();" />

  <%-- 【システム制御情報】 --%>
  <div id="USAX_SYSTEM_CONTROL">
  <!--@USAX_SYSTEM_INFORMATION-->
  </div>
 </div>
 <div id="USAX_MESSAGE_OPENER">
  <usax:button type="button" id="BTN_MESSAGE_OPEN"
   css="buttonM" label="message"
   onClick="USAX.printMessage();" />
 </div>
 <%-- ◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆ --%>


 <%-- 【ブロック：BODY】 --%>
 <div id="BLOCK_BODY">
<!--@USAX_CONTENTS_BODY-->
 </div>
</div>


<%-- 【ブロック：FOOT】 --%>
<div id="BLOCK_FOOT">
 <div id="FOOT_L">
  <span class="copyright">&copy;Camel engineering LLP</span>
 </div>

 <div id="FOOT_C">
  <span class="SEPARATOR_L">|</span>
  <div id="FOOT_MENU">

    <!--@USAX_CONTENTS_FOOT-->

  </div>
  <span class="SEPARATOR_R">|</span>
 </div>

 <div id="FOOT_R">

  <%-- ユーザー情報を出力 --%>
  <div id="USER_INFO">
   <span><!--@USAX_PRODUCT_ID--></span>
   <span>(<!--@USAX_USERCODE-->)</span>
  </div>

  <% if (debug) { %>
  <%-- 開発用Beanデバッグ出力(開発モード時のみ表示) --%>
  <usax:button type="button" id="BTN_SCREEN_DEBUGGER" css="buttonS"
   label="debug" onClick="ScreenDebugger.debug();" />
  <% } %>

 </div>
</div>

  <% if (debug) { %>
  <%-- ◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆ --%>
  <%-- Debug出力エリア --%>
  <div id="SCREEN_DEBUG">
  <!--@USAX_SCREEN_DEBUG-->
  </div>
  <%-- ◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆ --%>
  <% } %>

</form></body>
</html>
