// ############################################################################
// [example]デザイン的な機能を提供するJavascript。
//
// 本JSは、Universal Frameworkシリーズと、その系統にてお使い頂けます。
// ※ライセンスに関しましてはFramework本体に沿います。
// ※参考プログラムのためサポート対象外です。
//
// @author Camel Engineering LLP J.Matsuo
// @varsion REVIEW ON 2016
//
// @see commons.js
// ############################################################################

// デザイン
var Window = {

    _drag   : '',

    private : {

    }
};

/**
 * 初期処理。
 * @param  pmCode ID
 */
Window.dragAndDrop = function(pmCode)
{
    // オブジェクト
    var obj = Commons.getLayerObject('self', pmCode);

    obj.addEventListener('mousedown',  Window.private.drag, false);
    obj.addEventListener('touchstart', Window.private.drag, false);
};

/**
 * ドラッグ処理。
 * @param  e イベント
 */
Window.private.drag = function(e)
{
    Window._drag = this;

    // イベント
    var event;

    //タッチデイベントとマウスのイベントの差異を吸収
    if (e.type === "mousedown") {
        event = e;
    } else {
        event = e.changedTouches[0];
    }

    // 要素内の相対座標を取得
    x = event.pageX - this.parentNode.offsetLeft;
    y = event.pageY - this.parentNode.offsetTop;

    // ムーブイベントにコールバック
    document.body.addEventListener("mousemove", Window.private.move, false);
    document.body.addEventListener("touchmove", Window.private.move, false);
};

/**
 * ドロップ処理。
 * @param  e イベント
 */
Window.private.drop = function(e)
{
  var drag = Window._drag;

  if (drag) {

      document.body.removeEventListener("mousemove", Window.private.move, false);
      document.body.removeEventListener("touchmove", Window.private.move, false);
      drag.removeEventListener("mouseup",  Window.private.drop, false);
      drag.removeEventListener("touchend", Window.private.drop, false);

      Window._drag = '';
  }
};

/**
 * 移動処理。
 * @param  e イベント
 */
Window.private.move = function(e)
{
    var drag = Window._drag;

    // イベント
    var event;

    //同様にマウスとタッチの差異を吸収
    if(e.type === "mousemove") {
        event = e;
    } else {
        event = e.changedTouches[0];
    }
    e.preventDefault();

    drag.parentNode.style.top  = event.pageY - y + "px";
    drag.parentNode.style.left = event.pageX - x + "px";

    document.body.addEventListener("mouseleave", Window.private.drop, false);
    document.body.addEventListener("touchleave", Window.private.drop, false);
    drag.addEventListener("mouseup",  Window.private.drop, false);
    drag.addEventListener("touchend", Window.private.drop, false);
};
