// ############################################################################
// [example]デザイン的な機能を提供するJavascript。
//
// 本JSは、Universal Frameworkシリーズと、その系統にてお使い頂けます。
// ※ライセンスに関しましてはFramework本体に沿います。
// ※参考プログラムのためサポート対象外です。
//
// @author Camel Engineering LLP J.Matsuo
// @varsion REVIEW ON 2016
//
// @see commons.js
// ############################################################################

// デザイン
var Design = {

    private : {

    }
};

Design.dragAndDrop = function(pmCode)
{
    // オブジェクト
    var obj = Commons.getLayerObject('self', pmCode);

    obj.addEventListener('mousedown',  Design.private.mdown, false);
    obj.addEventListener('touchstart', Design.private.mdown, false);
};

/**
 * 指定オブジェクトを弾ませる。
 * @param  pmCode 項目ID
 * @param  pmTop  最終表示高さ
 */
Design.boundIn = function(pmCode, pmTop)
{
    // オブジェクト
    var obj = Commons.getLayerObject('self', pmCode);

    // スタイル
    var sty = Commons.getLayerStyle('self', pmCode);

    // 縦開始位置(オブジェクトの高さ×-1)
    var _y = (obj.offsetHeight || obj.clientHeight) * -1;

    // オブジェクトを非表示域に移動
    sty.top  = _y + "px";

    setTimeout(function()
    {
        var y = _y;

        var v = 0;

        /**
         * 落下処理。
         */
        function gravity()
        {
            y += ++v;

            if (pmTop <= y) {

                y = pmTop;
                  v = v * (0.48 * -1);

                  if (!~~v) clearInterval(g);
            }
            sty.top = y + "px";
        }

        var g = setInterval(gravity, 10);

    }, 200);
};

// マウスが押された際の関数
Design.private.mdown = function(e)
{
    // クラス名に .drag を追加
    this.classList.add("drag");

    // イベント
    var event;

    // タッチデイベントとマウスのイベントの差異を吸収
    if (e.type === "mousedown") {
        event = e;
    } else {
        event = e.changedTouches[0];
    }

    // 要素内の相対座標を取得
    x = event.pageX - this.offsetLeft;
    y = event.pageY - this.offsetTop;

    // ムーブイベントにコールバック
    document.body.addEventListener("mousemove", Design.private.mmove, false);
    document.body.addEventListener("touchmove", Design.private.mmove, false);
};

// マウスカーソルが動いたときに発火
Design.private.mmove = function(e)
{
    //ドラッグしている要素を取得
    var drag = document.getElementsByClassName("drag")[0];

    // イベント
    var event;

    // 同様にマウスとタッチの差異を吸収
    if (e.type === "mousemove") {
        event = e;
    } else {
        event = e.changedTouches[0];
    }
    e.preventDefault();

    drag.style.top  = event.pageY - y + "px";
    drag.style.left = event.pageX - x + "px";

    document.body.addEventListener("mouseleave", Design.private.mup, false);
    document.body.addEventListener("touchleave", Design.private.mup, false);
    drag.addEventListener("mouseup",  Design.private.mup, false);
    drag.addEventListener("touchend", Design.private.mup, false);
};

// マウスボタンが上がったら発火
Design.private.mup = function(e)
{
    var drag = document.getElementsByClassName("drag")[0];

    if (drag) {

        document.body.removeEventListener("mousemove", Design.private.mmove, false);
        document.body.removeEventListener("touchmove", Design.private.mmove, false);
        drag.removeEventListener("mouseup",  Design.private.mup, false);
        drag.removeEventListener("touchend", Design.private.mup, false);

        // クラス名 .drag も消す
        drag.classList.remove("drag");
    }
};
