// ############################################################################
// [USAX]様式変換を提供するJavascript。
//
// 本JSは、Universal Frameworkシリーズと、その系統にてお使い頂けます。
// ※ライセンスに関しましてはFramework本体に沿います。
// ※参考プログラムのためサポート対象外です。
//
// @author Camel Engineering LLP J.Matsuo
// @varsion REVIEW ON 2016
//
// @see commons.js
// ############################################################################

// 様式
var Format = {

};

/**
 * 日時の入力補助。
 * @param  omObje 項目
 * @param  pmText 様式
 * @param  pmLang 言語
 */
Format.inputHelpDateTime = function(pmObje, pmText, pmLang)
{
    // [拡張]言語にあわせて拡張してください
    Format.inputHelpDateTime_def(pmObje, pmText);
};

/**
 * 日時の入力補助(標準)。
 * @param  omObje 項目
 * @param  pmText 様式
 */
Format.inputHelpDateTime_def = function(pmObje, pmText)
{
    // 現在年
    var year = '' + new Date().getFullYear() + '';

    // 値
    var val = pmObje.value;

    // 変換様式
    var tmp;

    // 変換結果
    var ret;

    try {

        if (val === '' || val.length == pmText.length) return;

        // ========================================================================================
        // 様々な形式のセパレータを空白に変換
        // ========================================================================================
        tmp = pmText;
        tmp = tmp.replace(/[.]/g, ' ');
        tmp = tmp.replace(/[:]/g, ' ');
        tmp = tmp.replace(/[/]/g, ' ');
        tmp = tmp.replace(/[-]/g, ' ');
        tmp = tmp.replace(/[,]/g, ' ');
        tmp = tmp.split(' ');

        val = val.replace(/[.]/g, ' ');
        val = val.replace(/[:]/g, ' ');
        val = val.replace(/[/]/g, ' ');
        val = val.replace(/[-]/g, ' ');
        val = val.replace(/[,]/g, ' ');
        val = val.split(' ');

        // ========================================================================================
        // 様式とのマッチング
        // ========================================================================================
        if (tmp.length == val.length) {
        // 様式とセパレートが同じ場合(同フォーマットとみなす)

            ret = pmText;

            for (var i = 0; i < tmp.length; i++)
            {
                if (tmp[i].length == val[i].length) {
                    ret = ret.replace(tmp[i], val[i]);
                } else {

                    if (-1 < tmp[i].indexOf('y')) {
                    // 年の補完処理

                        val[i] = year.substring(0, year.length - val[i].length) + val[i];

                    } else
                    if (-1 < tmp[i].indexOf('M')
                     || -1 < tmp[i].indexOf('d')) {
                    // 月・日の補完処理

                        if (tmp[i] == 'MMM') {
                        // 月(英字表現)の補完処理

                            if (Format.isNumber(val[i])) {
                                   val[i] = Format.convertMonthToEnglish(val[i]);
                            }

                        } else {
                        // 数字表現の補完処理

                            if (!Format.isNumber(val[i])) {
                                   val[i] = Format.convertMonthToNumber(val[i]);
                            }

                            if (Format.isNumber(val[i])) {

                                if (val[i].length != 0) {

                                    while (val[i].length < tmp[i].length)
                                    {
                                        val[i] = '0' + val[i];
                                    }
                                }
                            }
                        }

                    } else
                    if (-1 < tmp[i].indexOf('S')) {
                    // 右補完処理

                        while (val[i].length < tmp[i].length)
                        {
                            val[i] = val[i] + '0';
                        }

                    } else {
                    // 左補完処理

                        while (val[i].length < tmp[i].length)
                        {
                            val[i] = '0' + val[i];
                        }
                    }

                    val[i] = val[i].substring(val[i].length - tmp[i].length);
                    ret = ret.replace(tmp[i], val[i]);
                }
            }

            if (pmText.length == ret.length) {
                pmObje.value = ret;
            }

        } else
        if (tmp.length != 1 && val.length == 1) {

            // 桁数
            var len = 0;

            for (var i = 0; i < tmp.length; i++) len += tmp[i].length;

            if (len == val[0].length) {
            // 桁数が同じ(変換可能)

                ret = pmText;
                len = 0;

                for (var i = 0; i < tmp.length; i++)
                {
                    ret = ret.replace(tmp[i], val[0].substring(len, len + tmp[i].length));
                    len += tmp[i].length;
                }

                pmObje.value = ret;
            }
        }

    } catch(ex) {
        console.log(ex);
    }
};

/**
 * 数値の入力補助。
 * @param  omObje 項目
 * @param  pmText 様式
 * @param  pmLang 言語
 */
Format.inputHelpNumber = function(pmObje, pmText, pmLang)
{
    // [拡張]言語にあわせて拡張してください
    Format.inputHelpNumber_def(pmObje, pmText);
};

/**
 * 数値の入力補助(標準)。
 * @param  pmObje 項目
 * @param  pmText 様式
 */
Format.inputHelpNumber_def = function(pmObje, pmText)
{
    var pattern0;
    var pattern1;
    var pattern2;

    var symbol0;
    var number1;
    var number2;
    var tmp;

    var size;
    var char;

    try {

        // ========================================================================================
        // 全角 → 半角変換
        // ========================================================================================
        pmObje.value = Format.convert1ByteNumber(pmObje.value);

        // ========================================================================================
        // 先頭の記号を切り取り
        // ========================================================================================

        // パターン
        pattern1 = pmText;
        pattern0 = '';

        while (pattern1 != '')
        {
            char = pattern1.substring(0, 1);
            if (char == '#' || char == '0') {
            // 数字
                break;
            } else {
            // 記号
                pattern0 = pattern0 + char;
                pattern1 = pattern1.substring(1, pattern1.length);
            }
        }

        symbol0 = '';

        // 入力値
        number1 = pmObje.value;

        if (number1 === '') return;

        if (number1.indexOf('.') == 0) number1 = '0' + number1;

        while (number1 != '')
        {
            char = number1.substring(0, 1);

            if (Format.isNumber(char)) {
            // 数字

                break;

            } else {
            // 記号

                symbol0 = symbol0 + char;

                if (pattern0) {
                    if (pattern0 == symbol0) symbol0 = '';
                }

                number1 = number1.substring(1, number1.length);
            }
        }
        symbol0 = pattern0 + symbol0;

        // ========================================================================================
        // パターンの生成
        // ========================================================================================
        tmp = pattern1.split('.');

        // 整数のパターン
        pattern1 = tmp[0];

        // 小数のパターン
        pattern2 = '';

        if (1 < tmp.length) {
            pattern2 = tmp[1];
        }

        // ========================================================================================
        // 整数小数の分割
        // ========================================================================================
        tmp = number1.split('.');

        // 数字のみ抽出
        number1 = '';

        for (var i = 0; i < tmp[0].length; i++)
        {
            char = tmp[0].charAt(i);
            if (Format.isNumber(char)) {
                number1 = number1 + char;
            }
        }

        // 数字のみ抽出
        number2 = '';

        if (pattern2) {

            if (1 < tmp.length) {

                for (var i = 0; i < tmp[1].length; i++)
                {
                    char = tmp[1].charAt(i);
                    if (Format.isNumber(char)) {
                        number2 = number2 + char;
                    }
                }
            }
        }

        // ========================================================================================
        // 桁数の調整
        // ========================================================================================

        // 整数の調整
        if (pattern1) {

            // 桁の調整
            size = 0;

            for (var i = pattern1.length - 1; -1 < i; i--)
            {
                char = pattern1.charAt(i);
                if (char == '#') {
                    break;
                } else {
                    if (char == '0') size++;
                }
            }

            // 0埋め
            for (var i = number1.length; i < size; i++)
            {
                number1 = '0' + number1;
            }

            // 0削除
            while (size < number1.length)
            {
                if (number1.charAt(0) == '0') {
                    number1 = number1.substring(1, number1.length);
                } else {
                    break;
                }
            }
        }

        // 小数の調整
        if (pattern2) {

            // 桁の調整
            size = 0;

            for (var i = 0; i < pattern2.length; i++)
            {
                char = pattern2.charAt(i);
                if (char == '#') {
                    break;
                } else {
                    if (char == '0') size++;
                }
            }

            // 0埋め
            for (var i = number2.length; i < size; i++)
            {
                number2 = number2 + '0';
            }

            // 0削除
            while (size < number2.length)
            {
                if (number2.charAt(number2.length - 1) == '0') {
                    number2 = number2.substring(0, number2.length - 1);
                } else {
                    break;
                }
            }
        }

        // ========================================================================================
        // 記号の付与
        // ========================================================================================

        // 整数の変換
        if (pattern1) {

            tmp = '';
            size = pattern1.length;

            for (var i = 0; i < size; i++)
            {
                char = pattern1.charAt(i);
                if (char == '#' || char == '0') {
                    if (tmp) tmp = tmp + char;
                } else {
                    tmp = tmp + char;
                }
            }
            pattern1 = tmp;

            if (pattern1) {

                size = number1.length + pattern1.length;
                while (tmp.length < size)
                {
                    tmp = pattern1 + tmp;
                }
                pattern1 = tmp;

                tmp = '';
                size = 0;

                for (var i = number1.length - 1; -1 < i; i--)
                {
                    char = pattern1.charAt(pattern1.length - 1 - size);
                    if (char == '#' || char == '0') {
                        char = number1.charAt(i);
                    } else {
                        i++;
                    }
                    tmp = char + tmp;
                    size++;
                }
                number1 = tmp;
            }
        }

        // 小数の変換
        if (pattern2) {

            tmp = '';
            size = 0;

            for (var i = 0; i < number2.length; i++)
            {
                if (pattern2.length <= size) break;
                char = pattern2.charAt(size);
                if (char == '#' || char == '0') {
                    char = number2.charAt(i);
                } else {
                    i--;
                }
                tmp = tmp + char;
                size++;
            }
            number2 = tmp;
        }

        if (number2) {

            if (number1 == '') number1 = '0';

            pmObje.value = symbol0 + number1 + "." + number2;

        } else {
            if (number1) {
                pmObje.value = symbol0 + number1;
            } else {
                pmObje.value = '';
            }
        }

    } catch (ex) {
        console.log(ex);
    }
};


/**
 * 数字判定。
 * @param  pmText 文字列
 * @return 真／偽
 */
Format.isNumber = function(pmVal)
{
    return (typeof(pmVal).match(/^(number|string)$/)) && (pmVal !== NaN) && isFinite(pmVal);
};


/**
 * 月の英語表記を数字に変換する。
 * @param  pmNum 月
 * @return 変換結果
 */
Format.convertMonthToNumber = function(pmEng)
{
    var m = ['Jan', 'Feb', 'Mar', 'Apl', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];

    for (var i = 0; i < m.length; i++)
    {
        if (m[i].toLowerCase() == pmEng.toLowerCase()) {
            return '' + (i + 1) + '';
        }
    }
    return pmEng;
};

/**
 * 月を英語表記に変換する。
 * @param  pmNum 月
 * @return 変換結果
 */
Format.convertMonthToEnglish = function(pmNum)
{
    var m = ['Jan', 'Feb', 'Mar', 'Apl', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];

    return m[eval(pmNum) - 1];
};


/**
 * 全角数字を半角に変換。
 * @param  pmText 変換対象の文字列
 */
Format.convert1ByteNumber = function(pmText)
{
    if (pmText) {
        return pmText.replace(/[０-９]/g, function(s) { return String.fromCharCode(s.charCodeAt(0) - 65248); });
    } else {
        return pmText;
    }
};
