<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 title="Example｜USAX(BRMS)"
 bean="jp.co.hogehoge.SignEvent"
 description="【Example】ユーザー認証画面(ユーザーID認証型)">

 <!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
 <usax:content id="USAX_CONFIGURATION">

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {
        // ユーザーIDのCookie保存機能を有効にする
        activeCookie();
    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {
        // ユーザーIDのCookie保存機能を有効にする
        activeCookie();
    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }

    /**
     * 送信前の処理。
     * @param  pmEvent イベント
     */
    function preSubmit(pmEvent)
    {
        // ユーザーIDをCookieに保存する
        saveCookie();

        return true;
    }

    /**
     * ユーザーIDのCookie保存機能を有効にする。
     */
    function activeCookie()
    {
        if (HTTPRequest.isUsedCookie()) {
        // Cookieの利用が可能

            // ID保存フラグ
            var flag = Commons.getLayerObject('self', 'SAVE_USER_CODE-0-SELECTED');

            // 入力項目：ユーザーID
            var obje = Commons.getLayerObject('self', 'USER_CODE');

            // ユーザーID
            var code = HTTPRequest.getCookie("USER_CODE");

            if (flag && obje) {

                Commons.setDisplay('USED_COOKIE', 'block');

                if (code) {
                // ユーザーIDが保存されている場合

                    if (obje.value == '') obje.value = code;

                    flag.checked = true;
                }
            }
        }
    }

    /**
     * ユーザーIDのCookie保存機能を有効にする。
     */
    function saveCookie()
    {
        if (HTTPRequest.isUsedCookie()) {
        // Cookieの利用が可能

            // ID保存フラグ
            var flag = Commons.getLayerObject('self', 'SAVE_USER_CODE-0-SELECTED');
    
            // ユーザーID
            var obje = Commons.getLayerObject('self', 'USER_CODE');
    
            if (flag && obje) {

                if (flag.checked && obje.value != '') {
                    HTTPRequest.setCookie("USER_CODE", obje.value);
                }
            }
        }
    }
    
    
  </script>

  <!-- 画面固有のCSS -->
  <style>

    /* 会社ロゴマーク */
    img#LOGO
    {
      margin     :  20px;
    }

    /* タイトル */
    span#LABEL_TITLE
    {
      margin :  0px  0px  0px  2px;
    }

    /* ブロック：入力エリア */
    div#BLOCK_DETAIL
    {
      margin     :  50px auto;

      height     : 400px;

      min-width  : 620px;
      width      : 620px;
    }

    /* 認証情報 */
    table#SIGN
    {
      min-width  : 100%;
    }

    /* ブロック：間隔 */
    div#CONTROL,
    div#SUPPORT
    {
      margin     :  20px  0px  0px  0px;
    }

    /* 非表示 */
    .HIDDEN
    {
      display    : none;
    }

  </style>

 </usax:content>


 <!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
 <usax:content id="USAX_CONTENTS_HEAD">
  <usax:label id="TITLE" />
 </usax:content>


 <!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
 <usax:content id="USAX_CONTENTS_BODY">

  <% if (jp.co.cam.usax.debug.DebuggerFactory.get().isDevelopmentMode()) { %>
  <img id="LOGO" src="~/_style/images/logo.png"><br>
  <% } else { %>
  <img id="LOGO" src="~/_style/images/logo.png"><br>
  <% } %>

  <!-- 認証ID／パスワード -->
  <div id="BLOCK_DETAIL">
   <table id="SIGN">
    <tr>
     <td class="LABEL_REQUIRED_M"><usax:label id="USER_CODE" /></td>
     <td>
      <usax:text id="USER_CODE" type="text"
       index="1"
       readOnly="<%=(event.getBoolean(\"ONETIME_PASSWORD\")) ? ScreenLockIF.READONLY.READONLY_LABEL : ScreenLockIF.READONLY.NONE %>" />
     </td>
    </tr>
    <usax:visible visible="<%=!event.getBoolean(\"FORGOT_PASSWORD\") && !event.getBoolean(\"ONETIME_PASSWORD\") %>">
    <tr>
     <td class="LABEL_REQUIRED_M"><usax:label id="PASSWORD" /></td>
     <td>
      <usax:text id="PASSWORD" type="password"
       index="1" />
     </td>
    </tr>
    </usax:visible>
    <usax:visible visible="<%=event.getBoolean(\"ONETIME_PASSWORD\") %>">
    <tr>
     <td class="LABEL_REQUIRED_M"><usax:label id="OTP" /></td>
     <td>
      <usax:text id="OTP" type="text"
       index="1" />
     </td>
    </tr>
    </usax:visible>
    <usax:visible visible="<%=event.getBoolean(\"FORGOT_PASSWORD\") %>">
    <tr>
     <td class="LABEL_REQUIRED_M"><usax:label id="USER_EMAIL" /></td>
     <td>
      <usax:text id="USER_EMAIL" type="text"
       index="1" />
     </td>
    </tr>
    </usax:visible>
   </table>
   <br>

   <%-- ログイン認証 --%>
   <usax:visible visible="<%=!event.getBoolean(\"FORGOT_PASSWORD\") && !event.getBoolean(\"ONETIME_PASSWORD\") %>">
   <div id="USED_COOKIE" class="HIDDEN">
    <usax:checkbox id="SAVE_USER_CODE" /><br>
   </div>

   <div id="BLOCK_CONTROL">
    <usax:button type="button" id="BTN_LOGIN"
     description="ボタン：ログイン認証"
     readOnly="<%=ScreenLockIF.READONLY.NONE %>"
     css="buttonM"
     index="1" />

    <usax:button type="reset" id="BTN_CLEAR"
     description="ボタン：入力値の消去"
     readOnly="<%=ScreenLockIF.READONLY.NONE %>"
     css="buttonS" />
    <br>

    <div id="SUPPORT">
     <usax:button id="btn_forgot" type="link"
      readOnly="<%=ScreenLockIF.READONLY.NONE %>" />
     <br>

     <div id="SUPPORT_TEXT">

     </div>
    </div>
   </div>
   </usax:visible>


   <%-- ワンタイム・パスワードの発行 --%>
   <usax:visible visible="<%=event.getBoolean(\"ONETIME_PASSWORD\") %>">
   <div id="BLOCK_FORGOT">
    <usax:label id="SUBTITLE_002" /><br>

    <usax:button type="button" id="BTN_FINISH"
     description="ボタン：パスワード再発行"
     readOnly="<%=ScreenLockIF.READONLY.NONE%>"
     css="buttonM"
     index="1" />

    <usax:button type="button" id="BTN_CANCEL"
     description="ボタン：キャンセル"
     readOnly="<%=ScreenLockIF.READONLY.NONE%>"
     css="buttonM"
     index="1" />

    <usax:button type="button" id="BTN_ONETIME"
     description="ボタン：パスワード再発行"
     readOnly="<%=ScreenLockIF.READONLY.NONE%>"
     css="buttonM"
     index="1" />
   </div>
   </usax:visible>


   <%-- パスワードの再発行 --%>
   <usax:visible visible="<%=event.getBoolean(\"FORGOT_PASSWORD\") %>">
   <div id="BLOCK_FORGOT">
    <usax:label id="SUBTITLE_999" /><br>

    <usax:button type="button" id="BTN_REISSUE"
     description="ボタン：パスワード再発行"
     readOnly="<%=ScreenLockIF.READONLY.NONE%>"
     css="buttonM"
     index="1" />

    <usax:button type="button" id="BTN_CANCEL"
     description="ボタン：キャンセル"
     readOnly="<%=ScreenLockIF.READONLY.NONE%>"
     css="buttonM"
     index="1" />
   </div>
   </usax:visible>

  </div>
 </usax:content>

 <%-- テスト //////////////////////////////////////////////////////////////////////////////////// --%>
 <usax:content id="USAX_SCREEN_DEBUG">
 <% if (jp.co.cam.usax.debug.DebuggerFactory.get().isDevelopmentMode()) { %>
  <%
   final jp.co.hogehoge.UniversalInspectionScreenEvent inspection;

   if (event instanceof jp.co.hogehoge.UniversalInspectionScreenEvent) {
     inspection = (jp.co.hogehoge.UniversalInspectionScreenEvent)event;
     if (inspection.hasInspection()) inspection.activeInspection();
   }
  %>
  <table id="BLOCK_USAX_INSPECTION">
   <tr>
    <td class="LABEL_L"><usax:label id="USAX_INSPECTION" /></td>
    <td>
     <usax:file id="USAX_INSPECTION" chank="false" />
     <usax:button type="button" id="BTN_USAX_INSPECTION" css="buttonS"
     label="読込み" />
    </td>
   </tr>
  </table>
  <br>
  <% if (event.getBoolean("USAX_INSPECT")) { %>
  <%@ include file="/_master/inspection.jsp" %>
  <% } %>
 <% } %>
 </usax:content>
 <%-- テスト //////////////////////////////////////////////////////////////////////////////////// --%>

</usax:contents>
