<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.system.SYS1000SEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】組織設定画面(法人の検索|一覧)">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <!-- 画面固有のCSS -->
  <style>

    /* ブロック：Grand menu */
    div#BLOCK_BUTTON_CTRL1
    {
      margin    :   5px;
    }

    /* ブロック：Condition */
    div#BLOCK_CONDITION
    {
      margin    :   5px;

      max-width : 880px;
      min-width : 880px;
      width     : 880px;
    }
    div#BLOCK_CONDITION table
    {
      width     : 100%;
    }

    /* ブロック：List */
    div#BLOCK_SEARCH_RESULT
    {
      margin    :  10px;

      max-width : 880px;
      min-width : 880px;
    }
    div#BLOCK_SEARCH_RESULT table
    {
      width     : 100%;
    }

    /* ブロック：Transaction control */
    div#BLOCK_BUTTON_CTRL2
    {
      margin    :   5px;
    }

  </style>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }

    /**
     * 送信前の確認。
     * @return 処理可否
     */
    function preSubmit(pmEvent)
    {
      if (pmEvent.indexOf('$BTN_DELETE') != -1) {
          return confirm('{@message:CONFIRM_EXECUTE}');
      }
      return true;
    }


    /**
     * 入力項目のクリア。
     */
    function clearFormValue()
    {
        Commons.clearFormValue('self'
          ,['SEARCH_CORPORATE_CODE'
          , 'SEARCH_CORPORATE_NAME'
          , 'SEARCH_DISABLED$0$SELECTED'
          ]);
    }

  </script>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<!-- ========================================================================================== -->
<!-- Grand menu -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL1">
 <usax:button id="BTN_CREATE" type="button" css="buttonM menu" />
</div>

<!-- ========================================================================================== -->
<!-- Condition -->
<!-- ========================================================================================== -->
<div id="BLOCK_CONDITION">
 <table id="CONDITION">
  <tr>
   <%-- 検索：法人ID(システム管理者のみ) --%>
   <td class="LABEL_M"><usax:label id="SEARCH_CORPORATE_CODE" /></td>
   <td style="width:140px;">
    <usax:text id="SEARCH_CORPORATE_CODE" type="text" index="1" />
   </td>
   <%-- 検索：法人名(システム管理者のみ) --%>
   <td class="LABEL_M"><usax:label id="SEARCH_CORPORATE_NAME" /></td>
   <td>
    <usax:text id="SEARCH_CORPORATE_NAME" type="text" index="1" />
   </td>
  </tr>

  <tr>
   <%-- 検索：無効なものも表示する --%>
   <td class="LABEL_M"><usax:label id="SEARCH_DISABLED" /></td>
   <td colspan="3">
    <usax:checkbox id="SEARCH_DISABLED" />
   </td>
  </tr>
 </table>
 <usax:button id="btn_search" type="button"
  css="buttonM" />

 <usax:button id="btn_clear"  type="button"
  css="buttonM"
  onClick="clearFormValue();" />
</div>

<hr>

<!-- ========================================================================================== -->
<!-- List -->
<!-- ========================================================================================== -->
<usax:list id="SEARCH_RESULT">

 <%-- 状態：削除 --%>
 <% final boolean isDeleted = (item != null && !"0".equals(item.getString("FLAG"))); %>

 <%-- CSS --%>
 <% final String css = (isDeleted) ? "DEFAULT_LIST_CELL DELETED" : "DEFAULT_LIST_CELL"; %>

 <usax:listColumn id="CORPORATE_CODE"
  width="84"  css="<%=css %>"
  sort="CORPORATE_CODE, VIEWLINE" />

 <usax:listCustom id="CORPORATE_NAME"
              css="<%=css %>"
  sort="CORPORATE_NAME, VIEWLINE, CORPORATE_CODE">

  <usax:button id="BTN_SELECTED" type="link"
   label="@resource:CORPORATE_NAME"
   readOnly="<%=(isDeleted) ? ScreenLockIF.READONLY.READONLY : ScreenLockIF.READONLY.NONE %>" />

 </usax:listCustom>

 <usax:listColumn id="CORPORATE_TYPE"
  width="100" css="<%=css %>"
  decode="@attribute:CORPORATE_TYPE"
  sort="CORPORATE_TYPE, VIEWLINE, CORPORATE_CODE" />

 <usax:listCustom id="FLAG"
  width="74"  css="<%=css + \" center\" %>"
  sort="FLAG, VIEWLINE, CORPORATE_CODE">
  <usax:button id="BTN_DISABLE" type="button" css="buttonS disable"
   visible="<%=(\"9\".equals(item.getString(\"FLAG\"))) %>" />
  <usax:button id="BTN_ENABLE"  type="button" css="buttonS enable"
   visible="<%=(\"0\".equals(item.getString(\"FLAG\"))) %>" />
 </usax:listCustom>

 <usax:listCustom id="BTN_DELETE"
  width="74"  css="<%=css + \" center\" %>">
  <usax:button id="BTN_DELETE" type="button" css="buttonS delete"
   visible="<%=(!isDeleted) %>" />
 </usax:listCustom>

 <usax:listCustom id="VIEWLINE"
  width="42"  css="<%=css + \" center\" %>"
  sort="VIEWLINE, CORPORATE_CODE">
  <usax:text id="VIEWLINE" type="text" index="1"
   visible="<%=(!isDeleted) %>" />
 </usax:listCustom>

 <usax:listCustom
  width="32"  css="<%=css + \" center\" %>">
  <usax:button id="UP" type="button" label="↑" visible="<%=(!isDeleted) %>" /><usax:button id="DW" type="button" label="↓" visible="<%=(!isDeleted) %>" />
 </usax:listCustom>
</usax:list>

<!-- ========================================================================================== -->
<!-- Transaction control -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL2">
 <usax:button id="BTN_SAVE" type="button" css="buttonM"
  description="保存処理" />
</div>
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
