<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.system.SYS1100DEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】組織設定画面(支社の詳細)">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<%-- 読込み専用 --%>
<% final boolean isReadOnly = (event.getPageCtrl().getReadOnlyModeAll() != ScreenLockIF.READONLY.NONE); %>

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <!-- 画面固有のCSS -->
  <style>

    /* ブロック：Grand menu */
    div#BLOCK_BUTTON_CTRL1
    {
      margin    :   5px;
    }

    /* ブロック：Detail */
    div#BLOCK_DETAIL
    {
      margin    :   5px;

      min-width : 750px;
      width     : 750px;
    }
    div#BLOCK_DETAIL table
    {
      width     : 100%;
    }

    /* ブロック：List */
    div#BLOCK_SEARCH_RESULT
    {
      margin    :   5px;

      max-width : 780px;
      min-width : 780px;
    }
    div#BLOCK_SEARCH_RESULT table
    {
      width     : 100%;
    }

    /* ブロック：Transaction control */
    div#BLOCK_BUTTON_CTRL2
    {
      margin    :   5px;
    }

  </style>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }

  </script>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<!-- ========================================================================================== -->
<!-- Grand menu -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL1">
 <usax:button id="BTN_BACK"      type="button" css="buttonM menu"
  readOnly="<%=ScreenLockIF.READONLY.NONE %>"
  visible="<%=isReadOnly || !event.isCreated() %>" />

 <usax:button id="BTN_MODE_VIEW" type="button" css="buttonM menu" />
 <usax:button id="BTN_MODE_EDIT" type="button" css="buttonM menu" />
</div>

<!-- ========================================================================================== -->
<!-- Detail -->
<!-- ========================================================================================== -->
<div id="BLOCK_DETAIL">
 <table id="DETAIL">

  <!-- 法人 -->
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="CORPORATE_CODE" /></td>
   <td colspan="3"><usax:label text="@resource:CORPORATE_CODE" /></td>
  </tr>
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="CORPORATE_NAME" /></td>
   <td colspan="3"><usax:label text="@resource:CORPORATE_NAME" /></td>
  </tr>

  <!-- 支社 -->
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="BRANCH_CODE" /></td>
   <td style="width:140px;"><usax:text id="BRANCH_CODE" type="text" index="1" /></td>
   <td class="LABEL_REQUIRED_M"><usax:label id="BRANCH_TYPE" /></td>
   <td>
    <usax:select id="BRANCH_TYPE" index="1"
     blank="<%=(1 < event.getAttributeResource().getAttribute(\"BRANCH_TYPE\").getValues().size()) %>" />
   </td>
  </tr>
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="BRANCH_NAME" /></td>
   <td colspan="3"><usax:text id="BRANCH_NAME" type="text" index="1" /></td>
  </tr>
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="BRANCH_NICK" /></td>
   <td colspan="3"><usax:text id="BRANCH_NICK" type="text" index="1" /></td>
  </tr>
  <tr>
   <td class="LABEL_M"><usax:label id="VIEWLINE" /></td>
   <td><usax:text id="VIEWLINE" type="text" index="1" /></td>
   <td class="LABEL_M"><usax:label id="FLAG" /></td>
   <td><usax:select id="FLAG" index="1" /></td>
  </tr>
  <tr>
   <td class="LABEL_M"><usax:label id="MEMO" /></td>
   <td colspan="3">
    <usax:text  id="MEMO" type="text" index="1"
     visible="<%=!isReadOnly %>" />
    <usax:label id="MEMO" text="@resource:MEMO"
     visible="<%= isReadOnly %>" />
   </td>
  </tr>
 </table>

 <% if (isReadOnly) { %>
 <h2><usax:label id="TITLE_GROUP_LIST" description="部署一覧" /></h2>
 <!-- ========================================================================================== -->
 <!-- List menu -->
 <!-- ========================================================================================== -->
 <div id="BLOCK_LIST_CTRL">
  <usax:button id="BTN_CREATE_GROUP" type="button" css="buttonM submenu"
   readOnly="<%=ScreenLockIF.READONLY.NONE %>"
   description="部署の登録" />
 </div>

 <!-- ========================================================================================== -->
 <!-- List --!>
 <!-- ========================================================================================== -->
 <usax:list id="SEARCH_RESULT">

  <%-- 状態：削除 --%>
  <% final boolean isDeleted = (item != null && "-1".equals(item.getString("FLAG"))); %>

  <%-- CSS --%>
  <% final String css = (isDeleted) ? "DEFAULT_LIST_CELL DELETED" : "DEFAULT_LIST_CELL"; %>

  <usax:listColumn id="GROUP_CODE"
   width="84"  css="<%=css %>"
   sort="GROUP_CODE, VIEWLINE" />

  <usax:listCustom id="GROUP_NAME"
               css="<%=css %>"
   sort="GROUP_NAME, VIEWLINE">
   <usax:button id="BTN_SELECTED" type="link"
    label="@resource:GROUP_NAME"
    readOnly="<%=(isDeleted) ? ScreenLockIF.READONLY.READONLY : ScreenLockIF.READONLY.NONE %>" />
  </usax:listCustom>

  <usax:listColumn id="GROUP_TYPE"
   width="100" css="<%=css %>"
   decode="@attribute:GROUP_TYPE"
   sort="GROUP_TYPE, VIEWLINE" />

  <usax:listCustom id="FLAG"
   width="74"  css="<%=css + \" center\" %>"
   sort="FLAG, VIEWLINE">
   <usax:button id="BTN_DISABLE" type="button" css="buttonS disable"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>"
    visible="<%=(\"9\".equals(item.getString(\"FLAG\"))) %>" />
   <usax:button id="BTN_ENABLE"  type="button" css="buttonS enable"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>"
    visible="<%=(\"0\".equals(item.getString(\"FLAG\"))) %>" />
  </usax:listCustom>

  <usax:listCustom id="BTN_DELETE"
   width="74"  css="<%=css + \" center\" %>">
   <usax:button id="BTN_DELETE" type="button" css="buttonS delete"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>"
    visible="<%=(!isDeleted) %>" />
  </usax:listCustom>

  <usax:listCustom id="VIEWLINE"
   width="42"  css="<%=css + \" center\" %>"
   sort="VIEWLINE, GROUP_CODE">
   <usax:text id="VIEWLINE" type="text" index="1"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>"
    visible="<%=(!isDeleted) %>" />
  </usax:listCustom>

  <usax:listCustom
   width="32"  css="<%=css + \" center\" %>">
   <usax:button id="UP" type="button" label="↑" readOnly="<%=ScreenLockIF.READONLY.NONE %>" visible="<%=(!isDeleted) %>" /><usax:button id="DW" type="button" label="↓" readOnly="<%=ScreenLockIF.READONLY.NONE %>" visible="<%=(!isDeleted) %>" />
  </usax:listCustom>
 </usax:list>

 <usax:button id="BTN_GROUP_SAVE" type="button" css="buttonM"
  readOnly="<%=ScreenLockIF.READONLY.NONE %>"
  description="順の保存" />
 <% } %>
</div>

<!-- ========================================================================================== -->
<!-- Transaction control -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL2">
 <usax:button id="BTN_SAVE" type="button" css="buttonM"
  description="保存処理" />
</div>
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
