<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.system.SYS1200DEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】組織設定画面(部署の詳細)">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<%-- 読込み専用 --%>
<% final boolean isReadOnly = (event.getPageCtrl().getReadOnlyModeAll() != ScreenLockIF.READONLY.NONE); %>

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <!-- 画面固有のCSS -->
  <style>

    /* ブロック：Grand menu */
    div#BLOCK_BUTTON_CTRL1
    {
      margin    :   5px;
    }

    /* ブロック：Detail */
    div#BLOCK_DETAIL
    {
      margin    :   5px;

      min-width : 750px;
      width     : 750px;
    }
    div#BLOCK_DETAIL table
    {
      width     : 100%;
    }

    /* ブロック：List */
    div#BLOCK_SEARCH_RESULT,
    div#BLOCK_CTRL_MOVE
    {
      margin    :   5px;

      max-width : 580px;
      min-width : 580px;
    }
    div#BLOCK_SEARCH_RESULT table
    {
      width     : 100%;
    }

    /* ブロック：Transaction control */
    div#BLOCK_BUTTON_CTRL2
    {
      margin    :   5px;
    }

  </style>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }

    /**
     * 送信前の確認。
     * @return 処理可否
     */
    function preSubmit(pmEvent)
    {
      if ((pmEvent.indexOf('BTN_DELETE') != -1)
       || (pmEvent.indexOf('BTN_DEL_USER_GROUP_ALL') != -1)) {

          return confirm('{@message:CONFIRM_EXECUTE}');
      }
      return true;
    }

  </script>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<!-- ========================================================================================== -->
<!-- Grand menu -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL1">
 <usax:button id="BTN_BACK"      type="button" css="buttonM menu"
  readOnly="<%=ScreenLockIF.READONLY.NONE %>"
  visible="<%=isReadOnly || !event.isCreated() %>" />

 <usax:button id="BTN_MODE_VIEW" type="button" css="buttonM menu" />
 <usax:button id="BTN_MODE_EDIT" type="button" css="buttonM menu" />
 <usax:button id="BTN_DELETE"    type="button" css="buttonM menu" />
</div>

<!-- ========================================================================================== -->
<!-- Detail -->
<!-- ========================================================================================== -->
<div id="BLOCK_DETAIL">
 <table id="DETAIL">
  <!-- 法人 -->
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="CORPORATE_CODE" /></td>
   <td colspan="3"><usax:label text="@resource:CORPORATE_CODE" /></td>
  </tr>
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="CORPORATE_NAME" /></td>
   <td colspan="3"><usax:label text="@resource:CORPORATE_NAME" /></td>
  </tr>

  <!-- 支社 -->
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="BRANCH_CODE" /></td>
   <td colspan="3">
    <usax:label text="@resource:BRANCH_CODE"
     visible="<%= event.getBoolean(\"isLockBranch\") %>" />

    <usax:text id="BRANCH_CODE" type="text" index="1"
     visible="<%=!event.getBoolean(\"isLockBranch\") %>"
     /><usax:button id="HELP_BRANCH" type="button" css="buttonXS"
        label="@attribute:BTN_HELP"
        visible="<%=!event.getBoolean(\"isLockBranch\") %>" />
   </td>
  </tr>
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="BRANCH_NAME" /></td>
   <td colspan="3"><usax:label text="@resource:BRANCH_NAME" /></td>
  </tr>

  <!-- 部署 -->
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="GROUP_CODE" /></td>
   <td style="width:140px;"><usax:text id="GROUP_CODE" type="text" index="1" /></td>
   <td class="LABEL_REQUIRED_M"><usax:label id="GROUP_TYPE" /></td>
   <td>
    <usax:select id="GROUP_TYPE" index="1"
     blank="<%=(1 < event.getAttributeResource().getAttribute(\"GROUP_TYPE\").getValues().size()) %>" />
   </td>
  </tr>
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="GROUP_NAME" /></td>
   <td colspan="3"><usax:text id="GROUP_NAME" type="text" index="1" /></td>
  </tr>
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="GROUP_NICK" /></td>
   <td colspan="3"><usax:text id="GROUP_NICK" type="text" index="1" /></td>
  </tr>
  <tr>
   <td class="LABEL_M"><usax:label id="VIEWLINE" /></td>
   <td><usax:text id="VIEWLINE" type="text" index="1" /></td>
   <td class="LABEL_M"><usax:label id="FLAG" /></td>
   <td><usax:select id="FLAG" index="1" /></td>
  </tr>
  <tr>
   <td class="LABEL_M"><usax:label id="MEMO" /></td>
   <td colspan="3">
    <usax:text  id="MEMO" type="text" index="1"
     visible="<%=!isReadOnly %>" />
    <usax:label id="MEMO" text="@resource:MEMO"
     visible="<%= isReadOnly %>" />
   </td>
  </tr>
 </table>

 <% if (isReadOnly) { %>
 <h2><usax:label id="TITLE_USER_LIST" description="所属ユーザーの一覧" /></h2>
 <!-- ========================================================================================== -->
 <!-- List menu -->
 <!-- ========================================================================================== -->
 <div id="BLOCK_LIST_CTRL">
  <usax:button id="BTN_DEL_USER_GROUP_ALL" type="button" css="buttonL submenu"
   readOnly="<%=ScreenLockIF.READONLY.NONE %>" />
 </div>

 <!-- ========================================================================================== -->
 <!-- List --!>
 <!-- ========================================================================================== -->
 <usax:list id="SEARCH_RESULT">

  <%-- 状態：削除 --%>
  <% final boolean isDeleted = (item != null && "-1".equals(item.getString("FLAG"))); %>

  <%-- CSS --%>
  <% final String css = (isDeleted) ? "DEFAULT_LIST_CELL DELETED" : "DEFAULT_LIST_CELL"; %>

  <usax:listCustom width= "24" css="<%=css + \" center\" %>">
   <usax:checkbox id="IS_SELECTED"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>" />
  </usax:listCustom>
  <usax:listCustom id="USER_CODE" width= "84" css="<%=css %>"
   sort="USER_CODE">
   <usax:button id="BTN_SELECTED" type="link"
    label="@resource:USER_CODE"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>" />
  </usax:listCustom>
  <usax:listColumn id="USER_NAME" css="<%=css %>"
   sort="USER_NAME, USER_CODE" />

  <usax:listCustom id="BTN_DEL_USER_GROUP"
   width="74"  css="<%=css + \" center\" %>">
   <usax:button id="BTN_DEL_USER_GROUP" type="button" css="buttonS delete"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>"
    visible="<%=(!isDeleted) %>" />
  </usax:listCustom>
 </usax:list>

 <%-- 所属一括移動機能 --%>
 <div id="BLOCK_CTRL_MOVE">
  <table>
   <tr>
    <td colspan="6" class="LABEL_M"><usax:label id="TITLE_MOVE_USER_GROUP" /></td>
   </tr>
   <tr>
    <td class="LABEL_M"><usax:label id="TO_BRANCH_CODE" /></td>
    <td style="width:100px;">
     <%-- 移動先法人ID --%>
     <usax:text id="TO_CORPORATE_CODE" type="hidden"
      value="<%=event.getString(\"CORPORATE_CODE\") %>"
      readOnly="<%=ScreenLockIF.READONLY.NONE %>" />
     <%-- 移動先支社ID --%>
     <usax:text id="TO_BRANCH_CODE" type="text" index="1"
      readOnly="<%=ScreenLockIF.READONLY.NONE %>"
      /><usax:button id="HELP_TO_BRANCH" type="button" css="buttonXS"
         label="@attribute:BTN_HELP"
         readOnly="<%=ScreenLockIF.READONLY.NONE %>" />
    </td>
    <td class="LABEL_M"><usax:label id="TO_GROUP_CODE" /></td>
    <td style="width:100px;">
     <%-- 移動先部署ID --%>
     <usax:text id="TO_GROUP_CODE" type="text" index="1"
      readOnly="<%=ScreenLockIF.READONLY.NONE %>"
      /><usax:button id="HELP_TO_GROUP" type="button" css="buttonXS"
         label="@attribute:BTN_HELP"
         readOnly="<%=ScreenLockIF.READONLY.NONE %>" />
    </td>
    <td>
     <usax:button id="BTN_MOVE_USER_GROUP" type="button" css="buttonM"
      readOnly="<%=ScreenLockIF.READONLY.NONE %>"
      description="所属一括移動" />
    </td>
   </tr>
  </table>
 </div>
 <% } %>
</div>

<!-- ========================================================================================== -->
<!-- Transaction control -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL2">
 <usax:button id="BTN_SAVE" type="button" css="buttonM"
  description="保存処理" />
</div>
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
