<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.system.SYS1300DEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】定休日設定画面">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<%-- 読込み専用 --%>
<% final boolean isReadOnly = (event.getPageCtrl().getReadOnlyModeAll() != ScreenLockIF.READONLY.NONE); %>

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <!-- 画面固有のCSS -->
  <style>

    /* ブロック：Grand menu */
    div#BLOCK_BUTTON_CTRL1
    {
      margin   :   5px;
    }

    /* ブロック：Detail */
    div#BLOCK_DETAIL
    {
      margin   :   5px;

      min-width: 800px;
      width    : 800px;
    }
    div#BLOCK_DETAIL table
    {
      width    : 100%;
    }

    /* ブロック：Transaction control */
    div#BLOCK_BUTTON_CTRL2
    {
      margin   :   5px;
    }

    /* 日曜日 */
    table#MONTHLY tr td.SUN
    {
      background : #F0A0A0;
    }

    /* 土曜日 */
    table#MONTHLY tr td.SAT
    {
      background : #D0D0F0;
    }

  </style>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }

  </script>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<!-- ========================================================================================== -->
<!-- Grand menu -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL1">
 <usax:button id="BTN_BACK"      type="button" css="buttonM menu"
  readOnly="<%=ScreenLockIF.READONLY.NONE %>" />
</div>

<!-- ========================================================================================== -->
<!-- Detail -->
<!-- ========================================================================================== -->
<div id="BLOCK_DETAIL">
 <table id="DETAIL">
  <tr>
   <td class="LABEL_M"><usax:label id="CORPORATE_NAME" /></td>
   <td><usax:label text="@resource:CORPORATE_NAME" /></td>
  </tr>
 </table>
 <br>

 <!-- ========================================================================================== -->
 <!-- List -->
 <!-- ========================================================================================== -->
 <h2><usax:label id="SUB_TITLE_HOLIDAY_SETTINGS" /></h2>
 <usax:list id="MONTHLY">
  <usax:listColumn id="NO" width="30" css="number"
   text="<%=String.valueOf(item.getRowIndex() + 1) %>" />

  <usax:listCustom id="SUN" width="50" headerCss="SUN" css="SUN center">
   <usax:checkbox id="SUN" />
  </usax:listCustom>
  <usax:listCustom id="MON" width="50" css="center">
   <usax:checkbox id="MON" />
  </usax:listCustom>
  <usax:listCustom id="TUE" width="50" css="center">
   <usax:checkbox id="TUE" />
  </usax:listCustom>
  <usax:listCustom id="WED" width="50" css="center">
   <usax:checkbox id="WED" />
  </usax:listCustom>
  <usax:listCustom id="THU" width="50" css="center">
   <usax:checkbox id="THU" />
  </usax:listCustom>
  <usax:listCustom id="FRI" width="50" css="center">
   <usax:checkbox id="FRI" />
  </usax:listCustom>
  <usax:listCustom id="SAT" width="50" headerCss="SAT" css="SAT center">
   <usax:checkbox id="SAT" />
  </usax:listCustom>
 </usax:list>
 <br>

 <table id="HOLIDAY_SETTINGS">
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="YEAR" /></td>
   <td style="width:120px;">
    <usax:text id="YEAR" type="text" />
   </td>
   <td class="LABEL_REQUIRED_M"><usax:label id="CALENDAR_CODE" /></td>
   <td>
    <usax:select id="CALENDAR_CODE" />
   </td>
  </tr><tr>
   <td class="LABEL_M"><usax:label id="FESTIVAL" /></td>
   <td colspan="3">
    <usax:checkbox id="FESTIVAL" />
   </td>
  </tr>
 </table>
</div>

<!-- ========================================================================================== -->
<!-- Transaction control -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL2">
 <usax:button id="BTN_SAVE" type="button" css="buttonM"
  description="保存処理" />
</div>
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
