<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.system.SYS1300SEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】休日設定画面(検索|一覧)">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<%-- システム管理者 --%>
<% final boolean systemAdmin = info.hasAuthority("SYSTEM_ADMIN"); %>

<%-- 組織管理者 --%>
<% final boolean admin = info.hasAuthority("CORPORATE_ADMIN"); %>

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <script src="~/_script/input.js"></script>

  <!-- 画面固有のCSS -->
  <style>

    /* ブロック：Grand menu */
    div#BLOCK_BUTTON_CTRL1
    {
      margin    :   5px;
    }

    /* ブロック：Condition */
    div#BLOCK_CONDITION
    {
      margin    :   5px;

      max-width : 780px;
      min-width : 780px;
      width     : 780px;
    }
    div#BLOCK_CONDITION table
    {
      width     : 100%;
    }

    /* ブロック：List */
    div#BLOCK_SEARCH_RESULT
    {
      margin    :  10px;

      max-width : 780px;
      min-width : 780px;
    }
    div#BLOCK_SEARCH_RESULT table
    {
      width     : 100%;
    }

    /* ブロック：Transaction control */
    div#BLOCK_BUTTON_CTRL2
    {
      margin    :   5px;
    }

  </style>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }

    /**
     * 送信前の確認。
     * @return 処理可否
     */
    function preSubmit(pmEvent)
    {
      if (pmEvent.indexOf('$BTN_DELETE') != -1) {
          return confirm('{@message:CONFIRM_EXECUTE}');
      }
      return true;
    }


    /**
     * 入力項目のクリア。
     */
    function clearFormValue()
    {
        Commons.clearFormValue('self',
          [ 'SEARCH_CALENDAR_CODE'
           ,'SEARCH_HOLIDAY_NAME'
           ,'SEARCH_HOLIDAY_TYPE$0$SELECTED'
           ,'SEARCH_HOLIDAY_TYPE$1$SELECTED'
           ,'SEARCH_HOLIDAY_TYPE$2$SELECTED'
           ,'SEARCH_F_DATE'
           ,'SEARCH_T_DATE'
          ]);
    }

    </script>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<!-- ========================================================================================== -->
<!-- Grand menu -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL1">
 <usax:button id="BTN_CREATE" type="button"
  css="buttonM menu" />
</div>

<!-- ========================================================================================== -->
<!-- Condition -->
<!-- ========================================================================================== -->
<div id="BLOCK_CONDITION">
 <table id="CONDITION">
  <tr>
   <%-- 検索：法人ID(システム管理者のみ) --%>
   <td class="LABEL_M"><usax:label id="SEARCH_CORPORATE_CODE" /></td>
   <td colspan="3">
    <usax:select id="SEARCH_CORPORATE_CODE"
     index="1"
     target="@resource:CORPORATE_LIST"
     value="CORPORATE_CODE"
     label="CORPORATE_NAME"
     onChange="USAX.callEvent('BTN_SEARCH');"
     readOnly="<%=(systemAdmin) ? ScreenLockIF.READONLY.NONE : ScreenLockIF.READONLY.READONLY_LABEL %>" />
   </td>
  </tr><tr>
   <%-- 検索：種別 --%>
   <td class="LABEL_M"><usax:label id="SEARCH_CALENDAR_CODE" /></td>
   <td style="width:120px;">
    <usax:select id="SEARCH_CALENDAR_CODE" blank="<%=(1 < event.getAttributeResource().getAttribute(\"SEARCH_CALENDAR_CODE\").getValues().size()) %>"
     onChange="USAX.callEvent('BTN_SEARCH');" />
   </td>
   <%-- 検索：休日種別 --%>
   <td class="LABEL_M"><usax:label id="SEARCH_HOLIDAY_TYPE" /></td>
   <td>
    <usax:checkbox id="SEARCH_HOLIDAY_TYPE" />
   </td>
  </tr><tr>
   <%-- 検索：休日名 --%>
   <td class="LABEL_M"><usax:label id="SEARCH_HOLIDAY_NAME" /></td>
   <td colspan="3">
    <usax:text id="SEARCH_HOLIDAY_NAME" type="text" index="1" />
   </td>
  </tr><tr>
   <%-- 検索：日付From --%>
   <td class="LABEL_M"><usax:label id="SEARCH_F_DATE" /></td>
   <td style="width:120px;">
    <usax:text id="SEARCH_F_DATE" type="text" index="1"
     /><usax:button id="HELP_SEARCH_F_DATE" type="button" css="buttonXS" label="@attribute:BTN_HELP"
        onClick="InputHelp.callCalendar(Commons.getFormValue('self', 'SEARCH_CORPORATE_CODE'), Commons.getFormValue('self', 'SEARCH_CALENDAR_CODE'), Commons.getFormValue('self', 'SEARCH_F_DATE'), 'SEARCH_F_DATE', '', '', '', '');" />
   </td>
   <%-- 検索：日付To --%>
   <td class="LABEL_M"><usax:label id="SEARCH_T_DATE" /></td>
   <td>
    <usax:text id="SEARCH_T_DATE" type="text" index="1"
     /><usax:button id="HELP_SEARCH_T_DATE" type="button" css="buttonXS" label="@attribute:BTN_HELP"
        onClick="InputHelp.callCalendar(Commons.getFormValue('self', 'SEARCH_CORPORATE_CODE'), Commons.getFormValue('self', 'SEARCH_CALENDAR_CODE'), Commons.getFormValue('self', 'SEARCH_T_DATE'), 'SEARCH_T_DATE', '', '', '', '');" />
   </td>
  </tr>
 </table>
 <usax:button id="BTN_SEARCH" type="button"
  css="buttonM" />

 <usax:button id="BTN_CLEAR"  type="button"
  css="buttonM"
  onClick="clearFormValue();" />
</div>

<hr>

<!-- ========================================================================================== -->
<!-- List -->
<!-- ========================================================================================== -->
<usax:list id="SEARCH_RESULT">

 <%-- 状態：削除 --%>
 <% final boolean isDeleted = (item != null && "-1".equals(item.getString("FLAG"))); %>

 <%-- CSS --%>
 <% final String css = (isDeleted) ? "DEFAULT_LIST_CELL DELETED" : "DEFAULT_LIST_CELL"; %>

 <usax:listColumn id="CALENDAR_CODE"
  width="100"  css="<%=css %>"
  decode="@attribute:CALENDAR_CODE"
  sort="CALENDAR_CODE, HOLIDAY_DATE" />

 <usax:listColumn id="HOLIDAY_DATE"
  width="84" css="<%=css + \" center\" %>"
  sort="HOLIDAY_DATE, CALENDAR_CODE" />

 <usax:listColumn id="HOLIDAY_NAME"
              css="<%=css %>" />

 <usax:listColumn id="HOLIDAY_TYPE"
  width="100"  css="<%=css + \" center\" %>"
  decode="@attribute:HOLIDAY_TYPE"
  sort="HOLIDAY_TYPE, CALENDAR_CODE, HOLIDAY_DATE" />

 <usax:listCustom id="BTN_DELETE"
  width="74"  css="<%=css + \" center\" %>">
  <usax:button id="BTN_DELETE" type="button" css="buttonS delete"
   visible="<%=(!isDeleted) %>" />
 </usax:listCustom>
</usax:list>

<!-- ========================================================================================== -->
<!-- Transaction control -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL2">
 <h2><usax:label id="SUB_TITLE_HOLIDAY_SETTINGS" /></h2>
 <table id="HOLIDAY_SETTINGS">
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="CALENDAR_CODE" /></td>
   <td style="width:120px;">
    <usax:select id="CALENDAR_CODE"
     blank="<%=(1 < event.getAttributeResource().getAttribute(\"CALENDAR_CODE\").getValues().size()) %>" />
   </td>
   <td class="LABEL_REQUIRED_M"><usax:label id="HOLIDAY_DATE" /></td>
   <td>
    <usax:text id="HOLIDAY_DATE" type="text"
     /><usax:button id="HELP_HOLIDAY_DATE" type="button" css="buttonXS" label="@attribute:BTN_HELP"
        onClick="InputHelp.callCalendar(Commons.getFormValue('self', 'SEARCH_CORPORATE_CODE'), Commons.getFormValue('self', 'SEARCH_CALENDAR_CODE'), Commons.getFormValue('self', 'HOLIDAY_DATE'), 'HOLIDAY_DATE', '', '', '', '');" />
   </td>
  </tr><tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="HOLIDAY_NAME" /> </td>
   <td colspan="3">
    <usax:text id="HOLIDAY_NAME" type="text" value="{@attribute:DEFAULT_HOLIDAY_NAME}" />
   </td>
  </tr>
 </table>
 <usax:button id="BTN_SAVE" type="button" css="buttonM" />
</div>
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
