<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.system.SYS1900SEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】権限管理画面(検索|一覧)">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <!-- 画面固有のCSS -->
  <style>

    /* ブロック：Grand menu */
    div#BLOCK_BUTTON_CTRL1
    {
      margin    :   5px;
    }

    /* ブロック：Condition */
    div#BLOCK_CONDITION
    {
      margin    :   5px;

      max-width : 880px;
      min-width : 880px;
      width     : 880px;
    }
    div#BLOCK_CONDITION table
    {
      width     : 100%;
    }

    /* ブロック：List */
    div#BLOCK_SEARCH_RESULT
    {
      margin    :  10px;

      max-width : 880px;
      min-width : 880px;
    }
    div#BLOCK_SEARCH_RESULT table
    {
      width     : 100%;
    }

    /* ヘッダーの固定 */
    div#BLOCK_SEARCH_RESULT table thead tr td
    {
      position     : -webkit-sticky;
      position     : sticky;
      top          : 0;
      z-index      : 1;
    }

    /* ブロック：Transaction control */
    div#BLOCK_BUTTON_CTRL2
    {
      margin    :   5px;
    }

  </style>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }

    /**
     * 送信前の確認。
     * @return 処理可否
     */
    function preSubmit(pmEvent)
    {
      if (pmEvent.indexOf('$BTN_DELETE') != -1) {
          return confirm('{@message:CONFIRM_EXECUTE}');
      }
      return true;
    }


    /**
     * 入力項目のクリア。
     */
    function clearFormValue()
    {
        Commons.clearFormValue('self'
          ,['SEARCH_AUTH_CODE'
           ,'SEARCH_AUTH_NAME'
           ,'SEARCH_CORPORATE_CODE'
           ,'SEARCH_CORPORATE_NAME'
           ]
        );
    }

  </script>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<!-- ========================================================================================== -->
<!-- Grand menu -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL1">
 <usax:button id="BTN_CREATE" type="button" css="buttonM menu" />
</div>

<!-- ========================================================================================== -->
<!-- Condition -->
<!-- ========================================================================================== -->
<div id="BLOCK_CONDITION">
 <table id="CONDITION">
  <tr>
   <%-- 検索：権限ID --%>
   <td class="LABEL_M"><usax:label id="SEARCH_AUTH_CODE" /></td>
   <td style="width:140px;">
    <usax:text id="SEARCH_AUTH_CODE" type="text" index="1" />
   </td>
   <%-- 検索：権限名 --%>
   <td class="LABEL_M"><usax:label id="SEARCH_AUTH_NAME" /></td>
   <td>
    <usax:text id="SEARCH_AUTH_NAME" type="text" index="1" />
   </td>
  </tr>
  <tr>
   <%-- 検索：法人ID --%>
   <td class="LABEL_M"><usax:label id="SEARCH_CORPORATE_CODE" /></td>
   <td style="width:140px;">
    <usax:text id="SEARCH_CORPORATE_CODE" type="text" index="1"
     onChange="Commons.setFormValue('self', 'SEARCH_CORPORATE_NAME', '');" />
   </td>
   <%-- 検索：法人名 --%>
   <td class="LABEL_M"><usax:label id="SEARCH_CORPORATE_NAME" /></td>
   <td>
    <usax:text id="SEARCH_CORPORATE_NAME" type="text" index="1" />
   </td>
  </tr>
 </table>
 <usax:button id="btn_search" type="button"
  css="buttonM" />

 <usax:button id="btn_clear"  type="button"
  css="buttonM"
  onClick="clearFormValue();" />
</div>

<hr>

<!-- ========================================================================================== -->
<!-- List -->
<!-- ========================================================================================== -->
<usax:list id="SEARCH_RESULT">

 <%-- 状態：削除 --%>
 <% final boolean isDeleted = (item != null && "-1".equals(item.getString("FLAG"))); %>

 <%-- CSS --%>
 <% final String css = (isDeleted) ? "DEFAULT_LIST_CELL DELETED" : "DEFAULT_LIST_CELL"; %>

 <usax:listColumn id="NO"
  width="30"   css="number"
  text="<%=String.valueOf(item.getRowIndex() + 1) %>" />

 <usax:listCustom id="AUTH_CODE"
  width="180"  css="top"
  join="AUTH_CODE">
  <usax:label id="AUTH_CODE" text="@resource:AUTH_CODE" /><br>
  <hr>
  <div style="float:right;">
   <usax:button id="BTN_ADD_CORPORATE" type="button" css="buttonM" />
   <usax:button id="UP" type="button" /><usax:button id="DW" type="button" />
  </div>
 </usax:listCustom>

 <usax:listColumn id="AUTH_NAME"
  width="120"  css="top"
  join="AUTH_CODE" />

 <usax:listColumn id="CORPORATE_CODE"
  width="80"   css="<%=css %>" />

 <usax:listColumn id="CORPORATE_NAME"
               css="<%=css %>" />

 <usax:listCustom id="BTN_DELETE"
  width="74"  css="<%=css + \" center\" %>">
  <usax:button id="BTN_DELETE" type="button" css="buttonS delete"
   visible="<%=(!isDeleted) %>" />
 </usax:listCustom>
</usax:list>
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
