<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.rule.bean.resource.AttributeResourceIF" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.system.SYS2000DEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】ユーザー設定画面(詳細)">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<%-- 読込み専用 --%>
<% final boolean isReadOnly = (event.getPageCtrl().getReadOnlyModeAll() != ScreenLockIF.READONLY.NONE); %>

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <!-- 画面固有のCSS -->
  <style>

    /* ブロック：Grand menu */
    div#BLOCK_BUTTON_CTRL1
    {
      margin         :   5px;
      height         :  24px;
      vertical-align : top;
    }

    /* ブロック：Detail */
    div#BLOCK_DETAIL
    {
      margin         :   5px;

      min-width      : 980px;
      width          : 980px;
    }
    div#BLOCK_DETAIL table
    {
      width          : 100%;
    }

    /* ブロック：Transaction control */
    div#BLOCK_BUTTON_CTRL2
    {
      margin         :   5px;
    }

  </style>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }

    /**
     * 送信前の処理を実装。
     * @param  pmEvent 実行したイベント名
     * @return 処理を続行(true) or 停止(false)
     */
    function preSubmit(pmEvent)
    {
        if (pmEvent.indexOf('BTN_DELETE') != -1) {
            return confirm('{@message:CONFIRM_EXECUTE}');
        }
        return true;
    }

  </script>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<!-- ========================================================================================== -->
<!-- Grand menu -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL1">
 <usax:button id="BTN_BACK"      type="button" css="buttonM menu"   />
 <usax:button id="BTN_MODE_VIEW" type="button" css="buttonM menu"   />
 <usax:button id="BTN_MODE_EDIT" type="button" css="buttonM menu"   />
 <usax:button id="BTN_DELETE"    type="button" css="buttonM delete" />
 <usax:button id="BTN_DISABLE"   type="button" css="buttonM disable"
  visible="<%=(\"9\".equals(event.getString(\"FLAG\"))) %>" />
 <usax:button id="BTN_ENABLE"    type="button" css="buttonM enable"
  visible="<%=(\"0\".equals(event.getString(\"FLAG\"))) %>" />
</div>

<!-- ========================================================================================== -->
<!-- Detail -->
<!-- ========================================================================================== -->
<div id="BLOCK_DETAIL">
 <table id="DETAIL">
  <usax:visible visible="<%=!event.isCreated() %>"
   description="新規登録時のみ表示">
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="CORPORATE_CODE" /></td>
   <td>
    <usax:text id="CORPORATE_CODE" type="text" index="1"
     visibleAuthority="SYSTEM_ADMIN"
     /><usax:button id="help_corporate" type="button" css="buttonXS"
        label="@attribute:BTN_HELP"
        visibleAuthority="SYSTEM_ADMIN" />
    <usax:label text="@context:CORPORATE_CODE"
     visibleAuthority="CORPORATE_ADMIN"
     disableAuthority="SYSTEM_ADMIN" />
   </td>
   <td class="LABEL_M"><usax:label id="CORPORATE_NAME" /></td>
   <td colspan="2">
    <usax:text id="CORPORATE_NAME" type="text"
     readOnly="<%=ScreenLockIF.READONLY.READONLY_LABEL %>" />
   </td>
  </tr><tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="BRANCH_CODE" /></td>
   <td>
    <usax:text id="BRANCH_CODE" type="text" index="1"
     /><usax:button id="help_branch" type="button" css="buttonXS"
        label="@attribute:BTN_HELP" />
   </td>
   <td class="LABEL_M"><usax:label id="BRANCH_NAME" /></td>
   <td colspan="2">
    <usax:text id="BRANCH_NAME" type="text"
     readOnly="<%=ScreenLockIF.READONLY.READONLY_LABEL %>" />
   </td>
  </tr><tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="GROUP_CODE" /></td>
   <td>
    <usax:text id="GROUP_CODE" type="text" index="1"
     /><usax:button id="help_group" type="button" css="buttonXS"
        label="@attribute:BTN_HELP" />
   </td>
   <td class="LABEL_M"><usax:label id="GROUP_NAME" /></td>
   <td colspan="2">
    <usax:text id="GROUP_NAME" type="text"
     readOnly="<%=ScreenLockIF.READONLY.READONLY_LABEL %>" />
   </td>
  </tr>
  </usax:visible>
  <tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="USER_CODE" /></td>
   <td style="width:100px;">
    <usax:text id="USER_CODE" type="text" index="1"
     readOnly="<%=(event.isCreated()) ? ScreenLockIF.READONLY.READONLY_LABEL : ScreenLockIF.READONLY.NONE %>" />
   </td>
   <td class="LABEL_REQUIRED_M"><usax:label id="USER_NAME" /></td>
   <td>
    <usax:text id="USER_NAME" type="text" index="1" />
   </td>
  </tr><tr>
   <td class="LABEL_REQUIRED_M"><usax:label id="USER_EMAIL" /></td>
   <td colspan="3">
    <usax:text id="USER_EMAIL" type="email" index="1" />
   </td>
  </tr><tr>
   <td class="LABEL_M"><usax:label id="USER_PHONE" /></td>
   <td colspan="3">
    <usax:text id="USER_PHONE" type="text" index="1" />
   </td>
  </tr>
 </table>


 <% if (isReadOnly) { %>
 <h2><usax:label id="TITLE_GROUP_LIST" description="所属部門の一覧" /></h2>
 <!-- ========================================================================================== -->
 <!-- List menu -->
 <!-- ========================================================================================== -->
 <div id="BLOCK_LIST_CTRL">
  <usax:button id="BTN_ADD_GROUP" type="button" css="buttonM submenu" />
 </div>

 <!-- ========================================================================================== -->
 <!-- List -->
 <!-- ========================================================================================== -->
 <usax:list id="GROUP_LIST">
  <usax:listCustom id="CORPORATE_NAME" css="top"
   join="CORPORATE_CODE">

   <usax:label id="CORPORATE_NAME" text="@resource:CORPORATE_NAME" />

   <br><hr><br>

   <%-- ====================================================================================== --%>
   <%-- 管理者の権限設定 --%>
   <usax:button id="BTN_ADD_SYSTEM_ADMIN" type="button" css="buttonXM disable"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>"
    visible="<%=item.getString(\"SYSTEM_ADMIN\") == null %>"
    visibleAuthority="SYSTEM_ADMIN"
    description="SYSTEM_ADMIN権限がない場合(SYSTEM_ADMINの設定)" />

   <usax:button id="BTN_DEL_SYSTEM_ADMIN" type="button" css="buttonXM enable"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>"
    visible="<%=item.getString(\"SYSTEM_ADMIN\") != null %>"
    visibleAuthority="SYSTEM_ADMIN"
    description="SYSTEM_ADMIN権限がある場合(SYSTEM_ADMINの削除)" />

   <usax:button id="BTN_ADD_CORPORATE_ADMIN" type="button" css="buttonXM disable"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>"
    visible="<%=item.getString(\"CORPORATE_ADMIN\") == null %>"
    visibleAuthority="CORPORATE_ADMIN, SYSTEM_ADMIN"
    description="CORPORATE_ADMIN権限がない場合(CORPORATE_ADMINの設定)" />

   <usax:button id="BTN_DEL_CORPORATE_ADMIN" type="button" css="buttonXM enable"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>"
    visible="<%=item.getString(\"CORPORATE_ADMIN\") != null %>"
    visibleAuthority="CORPORATE_ADMIN, SYSTEM_ADMIN"
    description="CORPORATE_ADMIN権限がある場合(CORPORATE_ADMINの削除)" />
   <%-- ====================================================================================== --%>
   <br>

   <%-- ====================================================================================== --%>
   <%-- 権限設定 --%>
   <%
     // 権限一覧
     final ListBeanIF authList = item.getSubList("AUTH_LIST");

     // 権限一覧
     final ListBeanIF userAuth = item.getSubList("USER_AUTH");

     // 権限
     ListBeanIF.SubListBeanIF sub;

     for (int i = 0 ; i < authList.getSize(); i++)
     {
       sub = authList.get(i);

       // [仕様]管理者権限は別に出力する
       if ("CORPORATE_ADMIN".equals(sub.getString("AUTH_CODE"))
        || "SYSTEM_ADMIN".equals(sub.getString("AUTH_CODE"))) {
         continue;
       }
   %>
   <usax:button id="<%=\"BTN_ADD_AUTH_\" + i %>" type="button" css="buttonXM disable"
    label="<%=sub.getString(\"AUTH_NAME\") %>"
    readOnly="<%=(\"1\".equals(sub.getString(\"USE\"))) ? ScreenLockIF.READONLY.NONE : ScreenLockIF.READONLY.READONLY %>"
    visible="<%=(userAuth.findGetAll(\"AUTH_CODE\", sub.getString(\"AUTH_CODE\"))).getSize() == 0 %>"
    description="権限付与" />

   <usax:button id="<%=\"BTN_DEL_AUTH_\" + i %>" type="button" css="buttonXM enable"
    label="<%=sub.getString(\"AUTH_NAME\") %>"
    readOnly="<%=(\"1\".equals(sub.getString(\"USE\"))) ? ScreenLockIF.READONLY.NONE : ScreenLockIF.READONLY.READONLY %>"
    visible="<%=(userAuth.findGetAll(\"AUTH_CODE\", sub.getString(\"AUTH_CODE\"))).getSize() != 0 %>"
    description="権限剥奪" />
   <%
     }
   %>
   <%-- ====================================================================================== --%>
  </usax:listCustom>

  <usax:listCustom id="BRANCH_NAME" css="top" width="250">
   <usax:label id="BRANCH_NAME" text="@resource:BRANCH_NAME" /><br>
   <span>(</span><usax:label id="BRANCH_CODE" text="@resource:BRANCH_CODE" /><span>)</span>
  </usax:listCustom>

  <usax:listCustom id="GROUP_NAME" css="top" width="270">
   <usax:label id="GROUP_NAME" text="@resource:GROUP_NAME" /><br>
   <span>(</span><usax:label id="GROUP_CODE" text="@resource:GROUP_CODE" /><span>)</span>
   <br>
   <%-- ====================================================================================== --%>
   <%-- 役職設定 --%>

   <%-- Attribute定義 --%>
   <% final AttributeResourceIF attr = item.getAttributeResource(); %>

   <%-- 役職一覧 --%>
   <% final ListBeanIF userRole = item.getSubList("USER_ROLE"); %>

   <%-- 役職 --%>
   <% String[] role = new String[]{"90", "30", "20", "10"}; %>

   <% for (final String tmp : role) { %>
   <usax:button id="<%=\"BTN_ADD_ROLE_\" + tmp %>" type="button" css="buttonXM disable"
    label="<%=attr.getAttribute(\"GROUP_AUTH\").getLabel(tmp) %>"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>"
    visible="<%=(userRole.findGetAll(\"GROUP_AUTH\", tmp).getSize() == 0) %>"
    description="役職付与" />

   <usax:button id="<%=\"BTN_DEL_ROLE_\" + tmp %>" type="button" css="buttonXM enable"
    label="<%=attr.getAttribute(\"GROUP_AUTH\").getLabel(tmp) %>"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>"
    visible="<%=(userRole.findGetAll(\"GROUP_AUTH\", tmp).getSize() != 0) %>"
    description="役職剥奪" />

   <% if ("90".equals(tmp)) out.println("<br>"); %>
   <% } %>
   <%-- ====================================================================================== --%>
  </usax:listCustom>

  <usax:listCustom id="BTN_DELETE"                width="35" css="center">
   <usax:button id="BTN_DELETE" type="button" css="buttonXS delete"
    readOnly="<%=ScreenLockIF.READONLY.NONE %>" />
  </usax:listCustom>
 </usax:list>
 <% } %>
</div>

<!-- ========================================================================================== -->
<!-- Transaction control -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL2">
 <usax:button id="BTN_SAVE" type="button" css="buttonM"
  description="保存処理" />
</div>
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
