<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.system.SYS2000SEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】ユーザー設定画面(検索|一覧)">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <!-- 画面固有のCSS -->
  <style>

    /* ブロック：Grand menu */
    div#BLOCK_BUTTON_CTRL1
    {
      margin    :   5px;
    }

    /* ブロック：Condition */
    div#BLOCK_CONDITION
    {
      margin    :   5px;

      max-width : 880px;
      min-width : 880px;
      width     : 880px;
    }
    div#BLOCK_CONDITION table
    {
      width     : 100%;
    }

    /* ブロック：List */
    div#BLOCK_SEARCH_RESULT
    {
      margin    :  10px;

      max-width : 880px;
      min-width : 880px;
    }
    div#BLOCK_SEARCH_RESULT table
    {
      width     : 100%;
    }

    /* ヘッダーの固定 */
    div#BLOCK_SEARCH_RESULT table thead tr td
    {
      position     : -webkit-sticky;
      position     : sticky;
      top          : 0;
      z-index      : 1;
    }

  </style>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }

    /**
     * 送信前の確認。
     * @return 処理可否
     */
    function preSubmit(pmEvent)
    {
      if (pmEvent.indexOf('$BTN_DELETE') != -1) {
          return confirm('{@message:CONFIRM_EXECUTE}');
      }
      return true;
    }


    /**
     * 入力項目のクリア。
     */
    function clearFormValue()
    {
        Commons.clearFormValue('self'
          ,['SEARCH_CORPORATE_CODE'
          , 'SEARCH_CORPORATE_NAME'
          , 'SEARCH_BRANCH_CODE'
          , 'SEARCH_BRANCH_NAME'
          , 'SEARCH_GROUP_CODE'
          , 'SEARCH_GROUP_NAME'
          , 'SEARCH_USER_CODE'
          , 'SEARCH_USER_NAME'
          , 'SEARCH_DISABLED$0$SELECTED'
          ]);
    }

  </script>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<!-- ========================================================================================== -->
<!-- Grand menu -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL1">
 <usax:button id="BTN_CREATE" type="button" css="buttonM menu" />
</div>

<!-- ========================================================================================== -->
<!-- Condition -->
<!-- ========================================================================================== -->
<div id="BLOCK_CONDITION">
 <table id="CONDITION">
  <tr>
   <%-- 検索：法人ID(システム管理者のみ) --%>
   <td class="LABEL_M"><usax:label id="SEARCH_CORPORATE_CODE" /></td>
   <td style="width:100px;">
    <usax:text id="SEARCH_CORPORATE_CODE" type="text" index="1"
     onChange="Commons.setFormValue('self', 'SEARCH_CORPORATE_NAME', '');"
     visibleAuthority="SYSTEM_ADMIN"
     /><usax:button id="HELP_CORPORATE" type="button" css="buttonXS"
        label="@attribute:BTN_HELP"
        visibleAuthority="SYSTEM_ADMIN" />
    <usax:label text="@context:CORPORATE_CODE"
     visibleAuthority="CORPORATE_ADMIN"
     disableAuthority="SYSTEM_ADMIN" />
   </td>
   <%-- 検索：法人名(システム管理者のみ) --%>
   <td class="LABEL_M"><usax:label id="SEARCH_CORPORATE_NAME" /></td>
   <td>
    <usax:text id="SEARCH_CORPORATE_NAME" type="text" index="1"
     visibleAuthority="SYSTEM_ADMIN" />
    <usax:label text="@context:CORPORATE_NAME"
     visibleAuthority="CORPORATE_ADMIN"
     disableAuthority="SYSTEM_ADMIN" />
   </td>
  </tr><tr>
   <%-- 検索：支社ID --%>
   <td class="LABEL_M"><usax:label id="SEARCH_BRANCH_CODE" /></td>
   <td style="width:100px;">
    <usax:text id="SEARCH_BRANCH_CODE" type="text" index="1"
     onChange="Commons.setFormValue('self', 'SEARCH_BRANCH_NAME', '');"
     /><usax:button id="HELP_BRANCH" type="button" css="buttonXS"
        label="@attribute:BTN_HELP" />
   </td>
   <%-- 検索：支社名 --%>
   <td class="LABEL_M"><usax:label id="SEARCH_BRANCH_NAME" /></td>
   <td>
    <usax:text id="SEARCH_BRANCH_NAME" type="text" index="1" />
   </td>
  </tr><tr>
   <%-- 検索：部署ID --%>
   <td class="LABEL_M"><usax:label id="SEARCH_GROUP_CODE" /></td>
   <td style="width:100px;">
    <usax:text id="SEARCH_GROUP_CODE" type="text" index="1"
     onChange="Commons.setFormValue('self', 'SEARCH_GROUP_NAME', '');"
     /><usax:button id="HELP_GROUP" type="button" css="buttonXS"
        label="@attribute:BTN_HELP" />
   </td>
   <%-- 検索：部署名 --%>
   <td class="LABEL_M"><usax:label id="SEARCH_GROUP_NAME" /></td>
   <td>
    <usax:text id="SEARCH_GROUP_NAME" type="text" index="1" />
   </td>
  </tr><tr>
   <%-- 検索：ユーザーID --%>
   <td class="LABEL_M"><usax:label id="SEARCH_USER_CODE" /></td>
   <td style="width:100px;">
    <usax:text id="SEARCH_USER_CODE" type="text" index="1" />
   </td>
   <%-- 検索：ユーザー名 --%>
   <td class="LABEL_M"><usax:label id="SEARCH_USER_NAME" /></td>
   <td>
    <usax:text id="SEARCH_USER_NAME" type="text" index="1" />
   </td>
  </tr><tr>
   <%-- 検索：無効なものも表示する --%>
   <td class="LABEL_M"><usax:label id="SEARCH_DISABLED" /></td>
   <td colspan="3">
    <usax:checkbox id="SEARCH_DISABLED" />
   </td>
  </tr>
 </table>
 <usax:button id="btn_search" type="button"
  css="buttonM" />

 <usax:button id="btn_clear"  type="button"
  css="buttonM"
  onClick="clearFormValue();" />
</div>

<hr>

<!-- ========================================================================================== -->
<!-- List -->
<!-- ========================================================================================== -->
<usax:list id="SEARCH_RESULT">

 <%-- 状態：削除 --%>
 <% final boolean isDeleted = (item != null && "-1".equals(item.getString("FLAG"))); %>

 <%-- CSS --%>
 <% final String css = (isDeleted) ? "DEFAULT_LIST_CELL DELETED" : "DEFAULT_LIST_CELL"; %>

 <usax:listColumn id="USER_CODE"
  width="84"  css="<%=css + \" top\" %>"
  join="USER_CODE"
  sort="SYS_USER.USER_CODE, SYS_USER_GROUP.VIEWLINE" />

 <usax:listCustom id="USER_NAME"
  width="280" css="<%=css + \" top\" %>"
  join="USER_CODE"
  sort="SYS_USER.USER_NAME, SYS_USER_GROUP.VIEWLINE">
  <usax:button id="BTN_SELECTED" type="link"
   label="@resource:USER_NAME"
   readOnly="<%=(isDeleted) ? ScreenLockIF.READONLY.READONLY : ScreenLockIF.READONLY.NONE %>" />
 </usax:listCustom>

 <usax:listCustom id="FLAG"
  width="60"  css="<%=css + \" top center\" %>"
  join="USER_CODE"
  sort="SYS_USER.FLAG, SYS_USER.USER_CODE, SYS_USER_GROUP.VIEWLINE">
  <usax:button id="BTN_DISABLE" type="button" css="buttonS disable"
   visible="<%=(\"9\".equals(item.getString(\"FLAG\"))) %>" />
  <usax:button id="BTN_ENABLE"  type="button" css="buttonS enable"
   visible="<%=(\"0\".equals(item.getString(\"FLAG\"))) %>" />
 </usax:listCustom>

 <usax:listCustom id="BTN_DELETE"
  width="60"  css="<%=css + \" top center\" %>"
  join="USER_CODE">
  <usax:button id="BTN_DELETE" type="button" css="buttonS delete"
   visible="<%=(!isDeleted) %>" />
 </usax:listCustom>

 <usax:listCustom id="SECTION"
              css="<%=css %>">
  <% if (info.hasAuthority("SYSTEM_ADMIN")) { %>
  <usax:label id="CORPORATE_NICK"
   text="@resource:CORPORATE_NICK" />
  <span>-</span>
  <% } %>
  <usax:label id="BRANCH_NICK"
   text="@resource:BRANCH_NICK" />
  <span>-</span>
  <usax:label id="GROUP_NICK"
   text="@resource:GROUP_NICK" />
 </usax:listCustom>
</usax:list>
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
