<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.system.SYS2100DEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】ユーザー設定画面(所属の追加)">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<%-- 読込み専用 --%>
<% final boolean isReadOnly = (event.getPageCtrl().getReadOnlyModeAll() != ScreenLockIF.READONLY.NONE); %>

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <!-- 画面固有のCSS -->
  <style>

    /* ブロック：Grand menu */
    div#BLOCK_BUTTON_CTRL1
    {
      margin   : 10px;
    }

    /* ブロック：Detail */
    div#BLOCK_DETAIL
    {
      margin   :  10px;

      min-width: 714px;
      width    : 714px;
    }
    div#BLOCK_DETAIL table
    {
      width    :100%;
    }

    /* ブロック：Transaction control */
    div#BLOCK_BUTTON_CTRL2
    {
      margin   : 10px;
    }

  </style>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }

  </script>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<!-- ========================================================================================== -->
<!-- Grand menu -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL1">
 <usax:button id="BTN_BACK"      type="button" css="buttonM menu" />
</div>

<!-- ========================================================================================== -->
<!-- Detail -->
<!-- ========================================================================================== -->
<div id="BLOCK_DETAIL">
 <table id="DETAIL">
  <tr>
   <td class="LABEL_REQUIRED_L"><usax:label id="CORPORATE_CODE" /></td>
   <td>
       <% if (event.getBoolean("isLockGroup")) { %>
    <usax:label text="@resource:CORPORATE_CODE" />
       <% } else { %>
    <!-- [仕様]システム管理者以外は法人の選択が不可 -->
    <usax:text id="CORPORATE_CODE" type="text" index="1"
     visibleAuthority="SYSTEM_ADMIN"
     /><usax:button id="help_corporate" type="button" css="buttonXS"
        label="@attribute:BTN_HELP"
        visibleAuthority="SYSTEM_ADMIN" />
    <usax:label text="@resource:CORPORATE_CODE"
     visibleAuthority="CORPORATE_ADMIN"
     disableAuthority="SYSTEM_ADMIN" />
       <% } %>
   </td>
   <td class="LABEL_L"><usax:label id="CORPORATE_NAME" /></td>
   <td colspan="2">
    <usax:label text="@resource:CORPORATE_NAME" />
   </td>
  </tr><tr>
   <td class="LABEL_REQUIRED_L"><usax:label id="BRANCH_CODE" /></td>
   <td>
       <% if (event.getBoolean("isLockGroup")) { %>
    <usax:label text="@resource:BRANCH_CODE" />
       <% } else { %>
    <usax:text id="BRANCH_CODE" type="text" index="1"
     /><usax:button id="help_branch" type="button" css="buttonXS"
        label="@attribute:BTN_HELP" />
       <% } %>
   </td>
   <td class="LABEL_L"><usax:label id="BRANCH_NAME" /></td>
   <td colspan="2">
    <usax:label text="@resource:BRANCH_NAME" />
   </td>
  </tr><tr>
   <td class="LABEL_REQUIRED_L"><usax:label id="GROUP_CODE" /></td>
   <td>
       <% if (event.getBoolean("isLockGroup")) { %>
    <usax:label text="@resource:BRANCH_CODE" />
       <% } else { %>
    <usax:text id="GROUP_CODE" type="text" index="1"
     /><usax:button id="help_group" type="button" css="buttonXS"
        label="@attribute:BTN_HELP" />
       <% } %>
   </td>
   <td class="LABEL_L"><usax:label id="GROUP_NAME" /></td>
   <td colspan="2">
    <usax:label text="@resource:GROUP_NAME" />
   </td>
  </tr><tr>
   <td class="LABEL_L"><usax:label id="GROUP_AUTH" /></td>
   <td colspan="3">
    <usax:radio id="GROUP_AUTH" index="1" />
   </td>
  </tr><tr>
   <td class="LABEL_REQUIRED_L"><usax:label id="USER_CODE" /></td>
   <td style="width:100px;">
       <% if (event.getBoolean("isLockUser")) { %>
    <usax:label text="@resource:USER_CODE" />
       <% } else { %>
    <usax:text id="USER_CODE" type="text" index="1"
     /><usax:button id="help_user" type="button" css="buttonXS"
        label="@attribute:BTN_HELP" />
       <% } %>
   </td>
   <td class="LABEL_REQUIRED_L"><usax:label id="USER_NAME" /></td>
   <td>
    <usax:label text="@resource:USER_NAME" />
   </td>
  </tr>
 </table>
</div>

<!-- ========================================================================================== -->
<!-- Transaction control -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL2">
 <usax:button id="BTN_SAVE" type="button" css="buttonM"
  description="保存処理" />
</div>
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
