<%@page import="jp.co.cam.usax.context.UserInfo"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.system.ActivityEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】活動履歴画面">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<%-- システム管理者 --%>
<% final boolean systemAdmin = info.hasAuthority("SYSTEM_ADMIN"); %>

<%-- 組織管理者 --%>
<% final boolean admin = info.hasAuthority("CORPORATE_ADMIN"); %>


<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <script src="~/_script/input.js"></script>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }


    /**
     * 入力項目のクリア。
     */
    function clearFormValue()
    {
        Commons.clearFormValue('self'
          ,['SEARCH_CORPORATE_CODE'
          , 'SEARCH_BRANCH_CODE'
          , 'SEARCH_BRANCH_NAME'
          , 'SEARCH_GROUP_CODE'
          , 'SEARCH_GROUP_NAME'
          , 'SEARCH_USER_CODE'
          , 'SEARCH_USER_NAME'
          , 'SEARCH_F_DATE'
          , 'SEARCH_T_DATE'
          ]);
    }

  </script>

  <!-- 画面固有のCSS -->
  <style>

    /* ブロック：Condition */
    div#BLOCK_CONDITION
    {
      max-width : 780px;
      min-width : 780px;
      width     : 780px;
    }
    div#BLOCK_CONDITION table
    {
      width     : 100%;
    }

    /* ブロック：List */
    div#BLOCK_ACTIVITY_LIST
    {
      margin    :   5px;

      max-width :1480px;
      min-width : 980px;
    }
    div#BLOCK_ACTIVITY_LIST table
    {
      width     : 100%;
    }

  </style>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">

<div id="BLOCK_BUTTON_CTRL1">

</div>


<div id="BLOCK_CONDITION">
 <table id="CONDITION">
  <tr>
   <%-- 検索：法人ID(システム管理者のみ) --%>
   <td class="LABEL_L"><usax:label id="SEARCH_CORPORATE_CODE" /></td>
   <td colspan="3">
    <usax:select id="SEARCH_CORPORATE_CODE" blank="true"
     index="1"
     target="@resource:CORPORATE_LIST"
     value="CORPORATE_CODE"
     label="CORPORATE_NAME"
     readOnly="<%=(systemAdmin) ? ScreenLockIF.READONLY.NONE : ScreenLockIF.READONLY.READONLY_LABEL %>" />
   </td>
  </tr>
 
  <usax:visible visible="<%=(systemAdmin || admin) %>">
  <tr>
   <%-- 検索：支社ID --%>
   <td class="LABEL_L"><usax:label id="SEARCH_BRANCH_CODE" /></td>
   <td style="width:140px;">
    <usax:text id="SEARCH_BRANCH_CODE" type="text" index="1"
     /><usax:button id="HELP_BRANCH" type="button" css="buttonXS"
        label="@attribute:BTN_HELP"
        visibleAuthority="SYSTEM_ADMIN" />
   </td>
   <%-- 検索：支社名 --%>
   <td class="LABEL_L"><usax:label id="SEARCH_BRANCH_NAME" /></td>
   <td>
    <usax:text id="SEARCH_BRANCH_NAME" type="text"
     index="1" />
   </td>
  </tr>
  <tr>
   <%-- 検索：部署ID --%>
   <td class="LABEL_L"><usax:label id="SEARCH_GROUP_CODE" /></td>
   <td style="width:140px;">
    <usax:text id="SEARCH_GROUP_CODE" type="text" index="1"
     /><usax:button id="HELP_GROUP" type="button" css="buttonXS"
        label="@attribute:BTN_HELP"
        visibleAuthority="SYSTEM_ADMIN" />
   </td>
   <%-- 検索：部署名 --%>
   <td class="LABEL_L"><usax:label id="SEARCH_GROUP_NAME" /></td>
   <td>
    <usax:text id="SEARCH_GROUP_NAME" type="text"
     index="1" />
   </td>
  </tr>
  </usax:visible>

  <tr>
   <%-- 検索：ユーザーID --%>
   <td class="LABEL_L"><usax:label id="SEARCH_USER_CODE" /></td>
   <td style="width:140px;">
    <usax:text id="SEARCH_USER_CODE" type="text" index="1"
     readOnly="<%=(systemAdmin || admin) ? ScreenLockIF.READONLY.NONE : ScreenLockIF.READONLY.READONLY_LABEL %>" />
   </td>
   <%-- 検索：ユーザー名 --%>
   <td class="LABEL_L"><usax:label id="SEARCH_USER_NAME" /></td>
   <td>
    <usax:text id="SEARCH_USER_NAME" type="text" index="1"
     readOnly="<%=(systemAdmin || admin) ? ScreenLockIF.READONLY.NONE : ScreenLockIF.READONLY.READONLY_LABEL %>" />
   </td>
  </tr>

  <tr>
   <%-- 検索：記録日付From --%>
   <td class="LABEL_L"><usax:label id="SEARCH_F_DATE" /></td>
   <td style="width:140px;">
    <usax:text id="SEARCH_F_DATE" type="text" index="1"
     /><usax:button id="HELP_SEARCH_F_DATE" type="button" css="buttonXS" label="@attribute:BTN_HELP"
        onClick="InputHelp.callCalendar('', '', Commons.getFormValue('self', 'SEARCH_F_DATE'), 'SEARCH_F_DATE', '', '', '', '');" />
   </td>
   <%-- 検索：記録日付To --%>
   <td class="LABEL_L"><usax:label id="SEARCH_T_DATE" /></td>
   <td>
    <usax:text id="SEARCH_T_DATE" type="text" index="1"
     /><usax:button id="HELP_SEARCH_T_DATE" type="button" css="buttonXS" label="@attribute:BTN_HELP"
        onClick="InputHelp.callCalendar('', '', Commons.getFormValue('self', 'SEARCH_T_DATE'), 'SEARCH_T_DATE', '', '', '', '');" />
   </td>
  </tr>
 </table>
 <usax:button id="btn_search" type="button"
  css="buttonM"
  description="検索処理" />

 <usax:button id="btn_clear"  type="button"
  css="buttonM"
  onClick="clearFormValue();"
  description="検索条件のクリア" />
</div>


<br>
<hr>
<br>


<%-- 活動ログ一覧 --%>
<usax:list id="ACTIVITY_LIST">
 <usax:listColumn id="OPERATING_DATE"
  width="154" css="top"
  sort="OPERATING_DATE, USER_CODE" />

 <usax:listColumn id="LOG_TYPE"
  width="120" css="top center"
  sort="LOG_TYPE, OPERATING_DATE, USER_CODE" />

 <usax:listColumn id="LOG_TEXT"
              css="top" />

 <usax:listCustom id="OPERATING_USER"
  width="300" css="top"
  sort="USER_CODE, OPERATING_DATE">
  <usax:label id="USER_CODE" text="@resource:USER_CODE" />
  <usax:label id="USER_NAME" text="@resource:USER_NAME" />
  <br>
  <% if (item.getString("OPERATING_USER") != null) { %>
   <usax:label id="OPERATING_USER" text="@resource:OPERATING_USER"
    visible="<%=(!item.getString(\"OPERATING_USER\").startsWith(item.getString(\"USER_CODE\"))) %>" />
  <% } %>
 </usax:listCustom>
</usax:list>
<br>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
