<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.system.ConfigEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】ユーザー設定画面">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <!-- 画面固有のCSS -->
  <style>

    /* ブロック：Grand menu */
    div#BLOCK_BUTTON_CTRL1
    {
      margin   : 10px;
    }

    /* ブロック：Detail */
    div#BLOCK_DETAIL
    {
      margin   :  10px;

      min-width: 960px;
      width    : 960px;
    }
    div#BLOCK_DETAIL table
    {
      width     :100%;
    }

    table#USER_PASS
    {
      max-width : 300px;
    }

  </style>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }

  </script>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<!-- ========================================================================================== -->
<!-- Grand menu -->
<!-- ========================================================================================== -->
<div id="BLOCK_BUTTON_CTRL1">
 <usax:button id="BTN_MODE_VIEW" type="button" css="buttonM menu" />
 <usax:button id="BTN_MODE_EDIT" type="button" css="buttonM menu" />
 <usax:button id="BTN_SAVE"      type="button" css="buttonM" />
</div>

<!-- ========================================================================================== -->
<!-- Detail -->
<!-- ========================================================================================== -->
<div id="BLOCK_DETAIL">
 <table id="DETAIL">
  <tr>
   <td class="LABEL_REQUIRED_L"><usax:label id="CORPORATE_NAME" /></td>
   <td><usax:label text="@context:CORPORATE_NAME" /></td>
  </tr><tr>
   <td class="LABEL_REQUIRED_L"><usax:label id="USER_CODE" /></td>
   <td><usax:label text="@context:USER_CODE" /></td>
  </tr><tr>
   <td class="LABEL_REQUIRED_L"><usax:label id="USER_NAME" /></td>
   <td>
    <usax:text id="USER_NAME" type="text" />
   </td>
  </tr><tr>
   <td class="LABEL_REQUIRED_L"><usax:label id="USER_EMAIL" /></td>
   <td>
    <usax:text id="USER_EMAIL" type="email" />
   </td>
  </tr><tr>
   <td class="LABEL_REQUIRED_L"><usax:label id="USER_PHONE" /></td>
   <td>
    <usax:text id="USER_PHONE" type="text" />
   </td>
  </tr>
 </table>
 <br>

 <%-- パスワード変更 --%>
 <usax:visible visible="<%=(event.getPageCtrl().getReadOnlyModeAll() == ScreenLockIF.READONLY.NONE) %>">

 <br><hr><br>

 <usax:label id="PASSTEXT" />
 <br>
 <table id="USER_PASS">
  <tr>
   <td class="LABEL_L"><usax:label id="PASSWORD" /></td>
   <td>
    <usax:text id="PASSWORD" type="password" />
   </td>
  </tr><tr>
   <td class="LABEL_L"><usax:label id="MOREPASS" /></td>
   <td>
    <usax:text id="MOREPASS" type="password" />
   </td>
  </tr>
 </table>
 <br>
 </usax:visible>

 <!-- ========================================================================================== -->
 <!-- List --!>
 <!-- ========================================================================================== -->
 <usax:list id="GROUP_LIST">
  <usax:listColumn id="BRANCH_CODE"
   width="84"  css="center" />

  <usax:listColumn id="BRANCH_NAME"
   width="254" />

  <usax:listColumn id="GROUP_CODE"
   width="84"  css="center" />

  <usax:listCustom id="GROUP_NAME">
   <usax:label id="GROUP_NAME" text="@resource:GROUP_NAME" />
  </usax:listCustom>

  <usax:listCustom id="GROUP_AUTH"
   width="80"  css="center">
   <usax:select id="GROUP_AUTH"
    readOnly="<%=ScreenLockIF.READONLY.READONLY_LABEL %>" />
  </usax:listCustom>

  <usax:listCustom
   width="32" css="center">
   <usax:button id="UP" type="button" label="↑" /><usax:button id="DW" type="button" label="↓" />
  </usax:listCustom>
 </usax:list>
</div>
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
