<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.hogehoge.system.help.HELP0000SEvent.Week" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.DataBeanIF" %>
<%@ page import="java.util.StringJoiner" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_HELP\") %>"
 bean="jp.co.hogehoge.system.help.HELP0000SEvent"
 title="Example|USAX(BRMS)"
 description="【Example】入力補助画面(カレンダー)">

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <!-- 入力補助用JS -->
  <script src="~/_script/input.js"></script>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 日付選択時の処理：値の返却。
     * @param  pmObje 選択エレメント
     * @param  pmDate 返却値：日付
     * @param  pmWeek 返却値：曜日
     * @param  pmY    返却値：年
     * @param  pmM    返却値：月
     * @param  pmD    返却値：日
     */
    function selected(pmObje, pmDate, pmWeek, pmY, pmM, pmD)
    {
        if (window.opener) {
        // POPUP型

            // 値を返却
            InputHelp.setValues(['RE_DATE', 'RE_WEEK', 'RE_YYYY', 'RE_MM', 'RE_DD'], [pmDate, pmWeek, pmY, pmM, pmD]);

        } else {
        // 遷移型

            USAX.callEvent(pmObje.name);
        }
    }
    
  </script>

  <!-- 画面固有のCSS -->
  <style>

   html
   {
     overflow : hidden;
   }

   div#HELP_RESULT
   {
     margin : 5px;
     width  : 855px;
   }

   table#CALENDAR_INFO
   {
     width : 100%;
   }

   table#CALENDAR0,
   table#CALENDAR1,
   table#CALENDAR2
   {
     margin : 2px;
     float  : left;
   }

   table#CALENDAR0 thead tr td,
   table#CALENDAR1 thead tr td,
   table#CALENDAR2 thead tr td
   {
     text-align : center;
     height     : 20px;
     width      : 35px;
   }

   table#CALENDAR0 tbody tr td,
   table#CALENDAR1 tbody tr td,
   table#CALENDAR2 tbody tr td
   {
     text-align : center;
     height     : 35px;
     width      : 35px;
   }

   .TODAY
   {
     background : #F0A050;
   }

   table#CALENDAR0 tr td.SUN,
   table#CALENDAR1 tr td.SUN,
   table#CALENDAR2 tr td.SUN
   {
     background : #F0A0A0;
   }

   table#CALENDAR0 tr td.SAT,
   table#CALENDAR1 tr td.SAT,
   table#CALENDAR2 tr td.SAT
   {
     background : #D0D0F0;
   }

   .HOLIDAY a
   {
     font-weight : bold;
     color       : #C00000;
   }

   .CLOSED
   {
     background  : #F0A0A0;
   }

  </style>

</usax:content>

<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">

<div id="BLOCK_BUTTON_CTRL1">
 <usax:button id="BTN_BACK" type="button" css="buttonM"
  readOnly="<%=ScreenLockIF.READONLY.NONE %>"
  visible="<%=(\"default\".equals(event.getFrame())) %>" />
</div>
<div id="HELP_RESULT">
 <usax:text id="RE_DATE" type="hidden" />
 <usax:text id="RE_WEEK" type="hidden" />
 <usax:text id="RE_YYYY" type="hidden" />
 <usax:text id="RE_MM"   type="hidden" />
 <usax:text id="RE_DD"   type="hidden" />

 <table id="CALENDAR_INFO">
  <tr>
   <td class="LABEL_M"><usax:label id="TODAY" /></td>
   <td style="width:120px;text-align:center;">
    <usax:label text="@resource:TODAY" />
    <usax:label text="@resource:WEEK"  />
   </td>
   <td class="LABEL_M"><usax:label id="CORPORATE_NAME" /></td>
   <td>
    <usax:select id="SEARCH_CORPORATE_CODE"
     target="@resource:CORPORATE_LIST"
     value="CORPORATE_CODE"
     label="CORPORATE_NAME"
     onChange="USAX.callEvent('BTN_SEARCH');" />
   </td>
   <td class="LABEL_M"><usax:label id="CALENDAR_CODE" /></td>
   <td style="width:74px;text-align:center;">
    <usax:select id="SEARCH_CALENDAR_CODE"
     onChange="USAX.callEvent('BTN_SEARCH');" />
   </td>
  </tr>
 </table>
 <br>
 
 <%-- ======================================================================================== --%>
 <%-- カレンダー操作パネル --%>
 <%-- ======================================================================================== --%>
 <usax:select id="year"
  target="@resource:yearList" value="year" label="year"
  onChange="USAX.callEvent('BTN_SEARCH');" />

 <span>/</span>

 <usax:select id="month"
  onChange="USAX.callEvent('BTN_SEARCH');" />

 <usax:button id="btn_date_back" type="button" css="buttonXS" />
 <usax:button id="btn_date_next" type="button" css="buttonXS" />
 <br>

 <%-- ======================================================================================== --%>
 <%-- カレンダーの出力 --%>
 <%-- ======================================================================================== --%>

 <%-- 休日情報 --%>
 <% final DataBeanIF holidayData = event.getSubBean("HOLIDAY"); %>

 <% for (int i = 0; i < 3; i++) { %>
 <usax:list id="<%=\"CALENDAR\" + i %>">

 <%-- ---------------------------------------------------------------------------------------- --%>
 <%-- ヘッダー --%>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <usax:listHeader>
  <tr>
   <td class="LABEL_M" colspan="7">
    <%=event.getString("DATE" + i) %>
   </td>
  </tr><tr>
   <td class="SUN"><usax:label id="DATE_SUN" /></td>
   <td            ><usax:label id="DATE_MON" /></td>
   <td            ><usax:label id="DATE_TUE" /></td>
   <td            ><usax:label id="DATE_WED" /></td>
   <td            ><usax:label id="DATE_THU" /></td>
   <td            ><usax:label id="DATE_FRI" /></td>
   <td class="SAT"><usax:label id="DATE_SAT" /></td>
  </tr>
 </usax:listHeader>

 <%-- 週内に本日日付が含まれている場合は曜日が取得される --%>
 <% final String week = (item == null) ? null : item.getString("TODAY_WEEK"); %>

 <%-- 休日名 --%>
 <% String title; %>

 <%-- 日付 --%>
 <% String date; %>

 <%-- 日 --%>
 <% String day; %>

 <%-- 祝日判定 --%>
 <% boolean holiday; %>

 <%-- スタイル・シート --%>
 <% String css_sun = ("SUN".equals(week)) ? "TODAY SUN HOLIDAY" : "SUN HOLIDAY"; %>
 <% String css_mon = ("MON".equals(week)) ? "TODAY" : "";

    if (item.getBoolean("HOLIDAY_MON")) {
      css_mon = (css_mon + " HOLIDAY").trim();
    }

    if (item instanceof Week) {
      if (((Week)item).isNotWorkingDay("DATE_MON")) {
        css_mon = (css_mon + " CLOSED").trim();
      }
    }
 %>
 <% String css_tue = ("TUE".equals(week)) ? "TODAY" : "";

    if (item.getBoolean("HOLIDAY_TUE")) {
      css_tue = (css_tue + " HOLIDAY").trim();
    }

    if (item instanceof Week) {
      if (((Week)item).isNotWorkingDay("DATE_TUE")) {
        css_tue = (css_tue + " CLOSED").trim();
      }
    }
 %>
 <% String css_wed = ("WED".equals(week)) ? "TODAY" : "";

    if (item.getBoolean("HOLIDAY_WED")) {
      css_wed = (css_wed + " HOLIDAY").trim();
    }

    if (item instanceof Week) {
      if (((Week)item).isNotWorkingDay("DATE_WED")) {
        css_wed = (css_wed + " CLOSED").trim();
      }
    }
 %>
 <% String css_thu = ("THU".equals(week)) ? "TODAY" : "";

    if (item.getBoolean("HOLIDAY_THU")) {
      css_thu = (css_thu + " HOLIDAY").trim();
    }

    if (item instanceof Week) {
      if (((Week)item).isNotWorkingDay("DATE_THU")) {
        css_thu = (css_thu + " CLOSED").trim();
      }
    }
 %>
 <% String css_fri = ("FRI".equals(week)) ? "TODAY" : "";

    if (item.getBoolean("HOLIDAY_FRI")) {
      css_fri = (css_fri + " HOLIDAY").trim();
    }

    if (item instanceof Week) {
      if (((Week)item).isNotWorkingDay("DATE_FRI")) {
        css_fri = (css_fri + " CLOSED").trim();
      }
    }
 %>
 <% String css_sat = ("SAT".equals(week)) ? "TODAY SAT" : "SAT";

    if (item.getBoolean("HOLIDAY_SAT")) {
      css_sat = (css_sat + " HOLIDAY").trim();
    }

    if (item instanceof Week) {
      if (((Week)item).isNotWorkingDay("DATE_SAT")) {
        css_sat = (css_sat + " CLOSED").trim();
      }
    }
 %>

 <%-- ---------------------------------------------------------------------------------------- --%>
 <%-- 日曜 --%>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <usax:listCustom id="SUN" headerCss="SUN"
  css="<%=css_sun %>">
  <% if ((date = item.getString("DATE_SUN")) != null) {

      // onclick時の処理
      final StringJoiner sun = new StringJoiner(",", "selected(this,", ");");

      day = item.getString("DD_SUN");

      sun.add("'" + date + "'");
      sun.add("'" + item.getString("WEEK_SUN") + "'");
      sun.add("'" + item.getString("YYYY_SUN") + "'");
      sun.add("'" + item.getString("MM_SUN") + "'");
      sun.add("'" + day + "'");

      title = holidayData.getString(date);
  %>
  <a href="javascript:return true;" onclick="<%=sun.toString() %>" title="<%=(title == null) ?  "" : title %>"><%=day %></a>
  <% } %>
 </usax:listCustom>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <%-- 月曜 --%>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <usax:listCustom id="MON" headerCss="MON"
  css="<%=css_mon %>">
  <% if ((date = item.getString("DATE_MON")) != null) {

      // onclick時の処理
      final StringJoiner mon = new StringJoiner(",", "selected(this,", ");");

      day = item.getString("DD_MON");

      mon.add("'" + date + "'");
      mon.add("'" + item.getString("WEEK_MON") + "'");
      mon.add("'" + item.getString("YYYY_MON") + "'");
      mon.add("'" + item.getString("MM_MON") + "'");
      mon.add("'" + day + "'");

      title = holidayData.getString(date);
  %>
  <a href="javascript:return true;" onclick="<%=mon.toString() %>" title="<%=(title == null) ?  "" : title %>"><%=day %></a>
  <% } %>
 </usax:listCustom>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <%-- 火曜 --%>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <usax:listCustom id="TUE" headerCss="TUE"
  css="<%=css_tue %>">
  <% if ((date = item.getString("DATE_TUE")) != null) {

      // onclick時の処理
      final StringJoiner tue = new StringJoiner(",", "selected(this,", ");");

      day = item.getString("DD_TUE");

      tue.add("'" + date + "'");
      tue.add("'" + item.getString("WEEK_TUE") + "'");
      tue.add("'" + item.getString("YYYY_TUE") + "'");
      tue.add("'" + item.getString("MM_TUE") + "'");
      tue.add("'" + day + "'");

      title = holidayData.getString(date);
  %>
  <a href="javascript:return true;" onclick="<%=tue.toString() %>" title="<%=(title == null) ?  "" : title %>"><%=day %></a>
  <% } %>
 </usax:listCustom>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <%-- 水曜 --%>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <usax:listCustom id="WED" headerCss="WED"
  css="<%=css_wed %>">
  <% if ((date = item.getString("DATE_WED")) != null) {

      // onclick時の処理
      final StringJoiner wed = new StringJoiner(",", "selected(this,", ");");

      day = item.getString("DD_WED");

      wed.add("'" + date + "'");
      wed.add("'" + item.getString("WEEK_WED") + "'");
      wed.add("'" + item.getString("YYYY_WED") + "'");
      wed.add("'" + item.getString("MM_WED") + "'");
      wed.add("'" + day + "'");

      title = holidayData.getString(date);
  %>
  <a href="javascript:return true;" onclick="<%=wed.toString() %>" title="<%=(title == null) ?  "" : title %>"><%=day %></a>
  <% } %>
 </usax:listCustom>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <%-- 木曜 --%>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <usax:listCustom id="THU" headerCss="THU"
  css="<%=css_thu %>">
  <% if ((date = item.getString("DATE_THU")) != null) {

      // onclick時の処理
      final StringJoiner thu = new StringJoiner(",", "selected(this,", ");");

      day = item.getString("DD_THU");

      thu.add("'" + date + "'");
      thu.add("'" + item.getString("WEEK_THU") + "'");
      thu.add("'" + item.getString("YYYY_THU") + "'");
      thu.add("'" + item.getString("MM_THU") + "'");
      thu.add("'" + day + "'");

      title = holidayData.getString(date);
  %>
  <a href="javascript:return true;" onclick="<%=thu.toString() %>" title="<%=(title == null) ?  "" : title %>"><%=day %></a>
  <% } %>
 </usax:listCustom>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <%-- 金曜 --%>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <usax:listCustom id="FRI" headerCss="FRI"
  css="<%=css_fri %>">
  <% if ((date = item.getString("DATE_FRI")) != null) {

      // onclick時の処理
      final StringJoiner fri = new StringJoiner(",", "selected(this,", ");");

      day = item.getString("DD_FRI");

      fri.add("'" + date + "'");
      fri.add("'" + item.getString("WEEK_FRI") + "'");
      fri.add("'" + item.getString("YYYY_FRI") + "'");
      fri.add("'" + item.getString("MM_FRI") + "'");
      fri.add("'" + day + "'");

      title = holidayData.getString(date);
  %>
  <a href="javascript:return true;" onclick="<%=fri.toString() %>" title="<%=(title == null) ?  "" : title %>"><%=day %></a>
  <% } %>
 </usax:listCustom>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <%-- 土曜 --%>
 <%-- ---------------------------------------------------------------------------------------- --%>
 <usax:listCustom id="SAT" headerCss="SAT"
  css="<%=css_sat %>">
  <% if ((date = item.getString("DATE_SAT")) != null) {

      // onclick時の処理
      final StringJoiner sat = new StringJoiner(",", "selected(this,", ");");

      day = item.getString("DD_SAT");

      sat.add("'" + date + "'");
      sat.add("'" + item.getString("WEEK_SAT") + "'");
      sat.add("'" + item.getString("YYYY_SAT") + "'");
      sat.add("'" + item.getString("MM_SAT") + "'");
      sat.add("'" + day + "'");

      title = holidayData.getString(date);
  %>
  <a href="javascript:return true;" onclick="<%=sat.toString() %>" title="<%=(title == null) ?  "" : title %>"><%=day %></a>
  <% } %>
 </usax:listCustom>
 </usax:list>
 <% } %>
</div>
</usax:content>

</usax:contents>
