<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.system.help.HELP1000SEvent"
 title="Example|USAX(BRMS)"
 description="【Example】入力補助画面(法人)">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <!-- 画面固有のCSS -->
  <style>

    div#BLOCK_BUTTON_CTRL1
    {

    }

    /* ブロック：検索条件 */
    div#BLOCK_CONDITION
    {
      max-width : 800px;
      min-width : 800px;
      width     : 800px;
    }
    div#BLOCK_CONDITION table
    {
      width : 100%;
    }

    /* ブロック：検索結果 */
    div#BLOCK_SEARCH_RESULT
    {
      margin    :   5px;

      max-width : 800px;
      min-width : 800px;
    }
    div#BLOCK_SEARCH_RESULT table
    {
      width : 100%;
    }

  </style>

  <!-- 画面固有のJS -->
  <script type="text/javascript" id="ORIGN_SCRIPT">

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     */
    function callBack(pmEvent, pmHTML)
    {

    }

    /**
     * 送信前の確認。
     * @return 処理可否
     */
    function preSubmit(pmEvent)
    {
      if (pmEvent.indexOf('$BTN_DELETE') != -1) {
          return confirm('{@message:CONFIRM_EXECUTE}');
      }
      return true;
    }


    /**
     * 入力項目のクリア。
     */
    function clearFormValue()
    {
        Commons.clearFormValue('self'
          ,['SEARCH_CORPORATE_CODE'
          , 'SEARCH_CORPORATE_NAME'
          , 'SEARCH_DISABLED$0$SELECTED'
          ]);
    }

  </script>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">

<div id="BLOCK_BUTTON_CTRL1">
 <usax:button id="BTN_BACK" type="button"
  css="buttonM menu" />
</div>

<%-- 検索条件 --%>
<div id="BLOCK_CONDITION">
 <table id="CONDITION">
  <tr>
   <%-- 検索：法人ID(システム管理者のみ) --%>
   <td class="LABEL_M"><usax:label id="SEARCH_CORPORATE_CODE" /></td>
   <td style="width:100px;">
    <usax:text id="SEARCH_CORPORATE_CODE" type="text" index="1"
     onChange="Commons.setFormValue('self', 'SEARCH_CORPORATE_NAME', '');" />
   </td>
   <%-- 検索：組織名(システム管理者のみ) --%>
   <td class="LABEL_M"><usax:label id="SEARCH_CORPORATE_NAME" /></td>
   <td>
    <usax:text id="SEARCH_CORPORATE_NAME" type="text" index="1" />
   </td>
  </tr><tr>
   <%-- 検索：無効なものも表示する --%>
   <td class="LABEL_M"><usax:label id="SEARCH_DISABLED" /></td>
   <td colspan="3">
    <usax:checkbox id="SEARCH_DISABLED" />
   </td>
  </tr>
 </table>
 <usax:button id="btn_search" type="button" css="buttonM" />
 <usax:button id="btn_clear"  type="button" css="buttonM"
  onClick="clearFormValue();" />
</div>

<br>
<hr>
<br>

<%-- 組織一覧 --%>
<usax:list id="SEARCH_RESULT">

 <%-- 状態：削除 --%>
 <% final boolean isDeleted = (item != null && !"0".equals(item.getString("FLAG"))); %>

 <%-- CSS --%>
 <% final String css = (isDeleted) ? "DEFAULT_MIST_CELL DELETED" : "DEFAULT_MIST_CELL"; %>

 <usax:listColumn id="CORPORATE_CODE"
  width="84"  css="<%=css %>"
  sort="CORPORATE_CODE, VIEWLINE" />

 <usax:listCustom id="CORPORATE_NAME"
              css="<%=css %>"
  sort="CORPORATE_NAME, VIEWLINE, CORPORATE_CODE">
  <usax:button id="BTN_SELECTED" type="link"
   label="@resource:CORPORATE_NAME" />
 </usax:listCustom>

 <usax:listColumn id="CORPORATE_TYPE"
  width="100" css="<%=css %>"
  sort="CORPORATE_TYPE, VIEWLINE, CORPORATE_CODE" />
</usax:list>
<br>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
