package test;

import jp.co.cam.usax.USAXException;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;



/**
 * [USAX]テストクラスの実装サンプル。
 * <br>
 * <br>【実行のための準備】
 * <br>1.inspection.propertiの設定
 * <br> 1-1. テスト定義を配置したディレクトリ・パスを設定
 * <br> 1-2. テスト結果を出力するディレクトリ・パスを設定
 * <br>2.Testクラスの実装
 * <br> 2-1. テスト定義を実行するメソッドを実装(case001()メソッドを参考)
 * <br> 2-2. 実装したメソッドにアノテーション@Testを付与
 * <br>
 * <br>【テストの実行】
 * <br>「Maven test」にて本クラスは実行されます
 * <br>
 * <br>【テストの結果】
 * <br>1.コンソール・ログに実行結果が出力されますので異常がないことを確認
 * <br>2./target/site/jacocoにテスト結果のカバレッジが出力されますので網羅性を確認
 * <br>
 */
public class SampleTestCase
{
    /**
     * テストケース:〇〇〇〇〇。
     */
    @Test
    public void case001()
    {
        try {

            // テスト定義(Excel)を指定してUniversalTestを実行します
            new jp.co.cam.usax.inspect.UniversalTest("/jp/co/hogehoge/test/SignEvent.xlsx").run();

        } catch (final Exception ex) {
            Assertions.fail(new USAXException(ex).toString());
        }
    }
}
